# $Revision: 1.631.2.26 $, $Date: 2007/03/18 15:33:57 $
# TODO
# - fix -threads-acfix.patch
# - deal with modules removed from php and not moved to PECL, still not obsoleted anywhere
#   - removed from php 5.0 (currently in php4):
#   db, hyperwave, java, mcal, overload, qtdom
#   - removed from php 5.1:
#   cpdf, fam, oracle
#   - removed from php 5.2:
#   filepro, hw
# - mime_magic can't handle new "string/*" entries in magic.mime
#   thus doesn't work with system magic.mime database
# - make additional headers and checking added by mail patch configurable
# - apply -hardened patch by default ?
# - modularize session, standard (output from pure php -m)?
#
# Conditional build:
%bcond_with	fdf		# with FDF (PDF forms) module		(BR: proprietary lib)
%bcond_with	hardening	# build with hardening patch applied (http://www.hardened-php.net/)
%bcond_with	interbase_inst	# use InterBase install., not Firebird	(BR: proprietary libs)
%bcond_with	oci8		# with Oracle oci8 extension module	(BR: proprietary libs)
%bcond_without	curl		# without CURL extension module
%bcond_without	filter		# without filter extension module
%bcond_without	imap		# without IMAP extension module
%bcond_without	interbase	# without InterBase extension module
%bcond_without	ldap		# without LDAP extension module
%bcond_without	mhash		# without mhash extension module
%bcond_without	mime_magic	# without mime-magic module
%bcond_without	ming		# without ming extension module
%bcond_without	mm		# without mm support for session storage
%bcond_without	mssql		# without MS SQL extension module
%bcond_without	mysqli		# without mysqli support (Requires mysql > 4.1)
%bcond_without	odbc		# without ODBC extension module
%bcond_without	openssl		# without OpenSSL support and OpenSSL extension (module)
%bcond_without	pcre		# without PCRE extension module
%bcond_without	pgsql		# without PostgreSQL extension module
%bcond_without	pspell		# without pspell extension module
%bcond_without	recode		# without recode extension module
%bcond_without	snmp		# without SNMP extension module
%bcond_without	sqlite		# without SQLite extension module
%bcond_without	sybase		# without Sybase extension module
%bcond_without	sybase_ct	# without Sybase-CT extension module
%bcond_without	tidy		# without Tidy extension module
%bcond_without	wddx		# without WDDX extension module
%bcond_without	xmlrpc		# without XML-RPC extension module
%bcond_without	apache1		# disable building apache 1.3.x module
%bcond_without	apache2		# disable building apache 2.x module
%bcond_without	fcgi		# disable building FCGI SAPI
%bcond_without	zts		# disable experimental-zts
%bcond_with	versioning	# build with experimental versioning (to load php4/php5 into same apache)

%define apxs1		/usr/sbin/apxs1
%define	apxs2		/usr/sbin/apxs

# some problems with apache 2.x
%if %{with apache2}
%undefine	with_mm
%endif

%ifnarch %{ix86} %{x8664} sparc sparcv9 alpha ppc
%undefine	with_interbase
%endif

%if %{without apache1} && %{without apache2}
ERROR: You need to select at least one Apache SAPI to build shared modules.
%endif

# filter depends on pcre
%if %{without pcre}
%undefine	with_filter
%endif

%define	_rel 6
Summary:	PHP: Hypertext Preprocessor
Summary(fr):	Le langage de script embarque-HTML PHP
Summary(pl):	Jzyk skryptowy PHP
Summary(pt_BR):	A linguagem de script PHP
Summary(ru):	PHP  5 -   HTML-,   
Summary(uk):	PHP Ӧ 5 -   HTML-̦,   Ҧ
Name:		php
Version:	5.2.1
Release:	%{_rel}%{?with_hardening:hardened}
Epoch:		4
License:	PHP
Group:		Libraries
Source0:	http://www.php.net/distributions/%{name}-%{version}.tar.bz2
# Source0-md5:	261218e3569a777dbd87c16a15f05c8d
Source2:	zend.gif
Source3:	%{name}-mod_%{name}.conf
Source4:	%{name}-cgi-fcgi.ini
Source5:	%{name}-cgi.ini
Source6:	%{name}-apache.ini
Source7:	%{name}-cli.ini
Source8:	http://www.hardened-php.net/hardening-patch-5.0.4-0.3.0.patch.gz
# Source8-md5:	47a742fa9fab2826ad10c13a2376111a
# Taken from: http://browsers.garykeith.com/downloads.asp
Source9:	%{name}_browscap.ini
Patch0:		%{name}-shared.patch
Patch1:		%{name}-pldlogo.patch
Patch2:		%{name}-mail.patch
Patch3:		%{name}-link-libs.patch
Patch4:		%{name}-libpq_fs_h_path.patch
Patch5:		%{name}-filter-shared.patch
Patch6:		%{name}-build_modules.patch
Patch7:		%{name}-sapi-ini-file.patch
Patch8:		%{name}-no-metaccld.patch
Patch9:		%{name}-sh.patch
Patch10:	%{name}-ini.patch
Patch11:	%{name}-acam.patch
#Patch15:	%{name}-threads-acfix.patch
Patch16:	%{name}-tsrmlsfetchgcc2.patch
Patch17:	%{name}-no_pear_install.patch
Patch18:	%{name}-zlib.patch
Patch19:	%{name}-sybase-fix.patch
Patch20:	%{name}-readline.patch
Patch21:	%{name}-nohttpd.patch
Patch23:	%{name}-gd_imagerotate_enable.patch
Patch24:	%{name}-uint32_t.patch
Patch26:	%{name}-dba-link.patch
Patch30:	%{name}-hardening-fix.patch
Patch31:	%{name}-both-apxs.patch
Patch32:	%{name}-builddir.patch
Patch33:	%{name}-zlib-for-getimagesize.patch
Patch35:	%{name}-versioning.patch
Patch36:	%{name}-linkflags-clean.patch

Patch39:	%{name}-pear.patch
Patch41:	%{name}-config-dir.patch
URL:		http://www.php.net/
%{?with_interbase:%{!?with_interbase_inst:BuildRequires:	Firebird-devel >= 1.0.2.908-2}}
%{?with_pspell:BuildRequires:	aspell-devel >= 2:0.50.0}
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.4d
BuildRequires:	bison
BuildRequires:	bzip2-devel
%{?with_curl:BuildRequires:	curl-devel >= 7.12.0}
BuildRequires:	cyrus-sasl-devel
BuildRequires:	db-devel >= 4.0
BuildRequires:	elfutils-devel
%if %{with xmlrpc}
BuildRequires:	expat-devel
%endif
%{?with_fcgi:BuildRequires:	fcgi-devel}
%{?with_fdf:BuildRequires:	fdftk-devel}
BuildRequires:	flex
%if %{with mssql} || %{with sybase} || %{with sybase_ct}
BuildRequires:	freetds-devel
%endif
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	gd-devel >= 2.0.28-4
BuildRequires:	gd-devel(imagerotate) = 5.2.0
BuildRequires:	gdbm-devel
BuildRequires:	gmp-devel
%{?with_imap:BuildRequires:	imap-devel >= 1:2001-0.BETA.200107022325.2}
BuildRequires:	libjpeg-devel
BuildRequires:	libltdl-devel >= 1.4
BuildRequires:	libmcrypt-devel >= 2.4.4
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 1.4.3
BuildRequires:	libwrap-devel
BuildRequires:	libxml2-devel >= 2.5.10
BuildRequires:	libxslt-devel >= 1.1.0
%{?with_mhash:BuildRequires:	mhash-devel}
%{?with_ming:BuildRequires:	ming-devel >= 0.3}
%{?with_mm:BuildRequires:	mm-devel >= 1.3.0}
BuildRequires:	mysql-devel >= 4.0.0
%{?with_mysqli:BuildRequires:	mysql-devel >= 4.1.0}
BuildRequires:	ncurses-ext-devel
%{?with_ldap:BuildRequires:	openldap-devel >= 2.3.0}
%if %{with openssl} || %{with ldap}
BuildRequires:	openssl-devel >= 0.9.7d
%endif
%{?with_snmp:BuildRequires:	net-snmp-devel >= 5.0.7}
BuildRequires:	pam-devel
%{?with_pcre:BuildRequires:	pcre-devel >= 6.6}
%{?with_pgsql:BuildRequires:	postgresql-backend-devel >= 7.2}
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	readline-devel
%{?with_recode:BuildRequires:	recode-devel >= 3.5d-3}
BuildRequires:	rpm-build >= 4.4.0
BuildRequires:	rpmbuild(macros) >= 1.238
%{?with_sqlite:BuildRequires:	sqlite-devel}
%{?with_sqlite:BuildRequires:	sqlite3-devel}
BuildRequires:	t1lib-devel
%{?with_tidy:BuildRequires:	tidy-devel}
%{?with_odbc:BuildRequires:	unixODBC-devel}
%{?with_xmlrpc:BuildRequires:	xmlrpc-epi-devel}
BuildRequires:	zlib-devel >= 1.0.9
%if %{with apache1}
BuildRequires:	apache1-devel
%endif
%if %{with apache2}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	apr-devel >= 1:1.0.0
BuildRequires:	apr-util-devel >= 1:1.0.0
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		php_sysconfdir		/etc/php
%define		php_extensiondir	%{_libdir}/php
%define		_sysconfdir		%{php_sysconfdir}

# must be in sync with source. extra check ensuring that it is so is done in %%build
%define		php_api_version		20041225
%define		zend_module_api		20060613
%define		zend_extension_api	220060519
%define		zend_zts			%{!?with_zts:0}%{?with_zts:1}
%define		php_debug			%{!?debug:0}%{?debug:1}

%description
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated web pages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled web page with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts. The
mod_php module enables the Apache web server to understand and process
the embedded PHP language in web pages. This package contains php
version %{version}.

%description -l fr
PHP est un langage de script embarque dans le HTM. PHP essaye de
rendre simple aux developpeurs d'ecrire des pages web generees
dynamiquement. PHP incorpore egalement une integration avec plusieurs
systemes de gestion de bases de donnees commerciaux et
non-connerciaux, qui rent facile la creation de pages web liees avec
des bases de donnees. L'utilisation la plus commune de PHP est
probablement en remplacement de scripts CGI. Le module mod_php permet
au serveur web apache de comprendre et de traiter le langage PHP
integre dans des pages web. Ce package contient php version
%{version}.

%description -l pl
PHP jest jzykiem skryptowym, ktrego polecenia umieszcza si w
plikach HTML. Jest prb uatwienia programistom pisania dynamicznie
generowanych stron WWW. Oferuje take wbudowan integracj z bazami
danych dla kilku komercyjnych i niekomercyjnych systemw baz danych,
co czyni tworzenie stron korzystajcych z baz danych w miar atwym.
Najczciej PHP jest uywany prawdopodobnie jako zamiennik skryptw
CGI. Modu mod_php pozwala serwerowi WWW Apache rozumie i przetwarza
jzyk PHP osadzony w stronach. Ten pakiet zawiera php w wersji
%{version}.

%description -l pt_BR
PHP: Preprocessador de Hipertexto verso 4  uma linguagem script
embutida em HTML. Muito de sua sintaxe  emprestada de C, Java e Perl,
com algumas caractersticas nicas, especficas ao PHP. O objetivo da
linguagem  permitir que desenvolvedores web escrevam pginas
dinamicamente geradas de forma rpida.

%description -l ru
PHP -    ,   HTML-. PHP
    ,   
      .  
 PHP -   CGI .

    (CGI)   .
     %{name}-common.   
 PHP    apache,  
apache-mod_php.

%description -l uk
PHP -    Ԧ,    HTML-. PHP
դ æ   ,   Ԧ 
     ̦ . ¦ 
 PHP - ͦ  CGI Ԧ.

  ͦ  (CGI) Ӧ  . 
    %{name}-common.   Ҧ
 PHP  Ԧ  apache, צ 
apache-mod_php.

%package -n apache1-mod_php
Summary:	PHP DSO module for apache 1.3.x
Summary(pl):	Modu DSO (Dynamic Shared Object) php dla apache 1.3.x
Group:		Development/Languages/PHP
Requires(triggerpostun):	sed >= 4.0
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	apache1(EAPI) >= 1.3.33-2
Requires:	apache1-mod_mime
Provides:	webserver(php) = %{version}
Obsoletes:	apache-mod_php < 1:4.1.1
Obsoletes:	phpfi

%description -n apache1-mod_php
PHP as DSO module for apache 1.3.x.

%description -n apache1-mod_php -l pl
php jako modu DSO (Dynamic Shared Object) dla apache 1.3.x.

%package -n apache-mod_php
Summary:	PHP DSO module for apache 2.x
Summary(pl):	Modu DSO (Dynamic Shared Object) php dla apache 2.x
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	apache(modules-api) = %{apache_modules_api}
Requires:	apache-mod_mime
Provides:	webserver(php) = %{version}
Obsoletes:	phpfi

%description -n apache-mod_php
PHP as DSO module for apache 2.x.

%description -n apache-mod_php -l pl
php jako modu DSO (Dynamic Shared Object) dla apache 2.x.

%package fcgi
Summary:	php as FastCGI program
Summary(pl):	php jako program FastCGI
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	webserver(php) = %{version}

%description fcgi
php as FastCGI program.

%description fcgi -l pl
php jako program FastCGI.

%package cgi
Summary:	php as CGI program
Summary(pl):	php jako program CGI
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}

%description cgi
php as CGI program.

%description cgi -l pl
php jako program CGI.

%package cli
Summary:	php as CLI interpreter
Summary(pl):	php jako interpreter dziaajcy z linii polece
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}

%description cli
php as CLI interpreter.

%description cli -l pl
php jako interpreter dziaajcy z linii polece.

%package program
Summary:	/usr/bin/php symlink
Summary(pl):	Dowizanie symboliczne /usr/bin/php
Group:		Development/Languages/PHP
Requires:	%{name}-cli = %{epoch}:%{version}-%{release}
Obsoletes:	/usr/bin/php

%description program
Package providing /usr/bin/php symlink to PHP CLI.

%description program -l pl
Pakiet dostarczajcy dowizanie symboliczne /usr/bin/php do PHP CLI.

%package common
Summary:	Common files needed by both apache module and CGI
Summary(pl):	Wsplne pliki dla moduu apache'a i programu CGI
Summary(ru):	   php
Summary(uk):	̦ Ц   php
Group:		Libraries
# because of dlclose() bugs in glibc <= 2.3.4 causing SEGVs on exit
Requires:	glibc >= 6:2.3.5
Requires:	php-dirs
Provides:	php(date)
Provides:	php(libxml)
Provides:	php(modules_api) = %{php_api_version}
Provides:	php(overload)
%{?with_pcre:Provides:	php(pcre)}
Provides:	php(reflection)
Provides:	php(session)
Provides:	php(simplexml)
Provides:	php(spl)
Provides:	php(standard)
Provides:	php(zend_extension_api) = %{zend_extension_api}
Provides:	php(zend_module_api) = %{zend_module_api}
Provides:	php5(debug) = %{php_debug}
Provides:	php5(thread-safety) = %{zend_zts}
Obsoletes:	php-pcre < 4:5.2.0
Obsoletes:	php-pecl-domxml
Obsoletes:	php-session < 3:4.2.1-2
Conflicts:	php4-common < 3:4.4.4-8
Conflicts:	rpm < 4.4.2-0.2

%description common
Common files needed by both apache module and CGI.

%description common -l pl
Wsplne pliki dla moduu apacha i programu CGI.

%description common -l ru
         PHP
(     apache).

%description common -l uk
  ͦ ЦΦ   Ҧ ҦԦ ̦æ PHP
(ϧ   Ԧ  apache).

%package devel
Summary:	Files for PHP modules development
Summary(pl):	Pliki do kompilacji moduw PHP
Summary(pt_BR):	Arquivos de desenvolvimento para PHP
Summary(ru):	     PHP
Summary(uk):	     PHP
Group:		Development/Languages/PHP
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	autoconf
Requires:	automake
Requires:	libtool
Requires:	shtool
Obsoletes:	php-pear-devel
Obsoletes:	php4-devel

%description devel
The php-devel package lets you compile dynamic extensions to PHP.
Included here is the source for the PHP extensions. Instead of
recompiling the whole php binary to add support for, say, oracle,
install this package and use the new self-contained extensions
support. For more information, read the file
README.SELF-CONTAINED-EXTENSIONS.

%description devel -l pl
Ten pakiet zawiera pliki potrzebne do kompilacji moduw PHP. Zamiast
rekompilowa cae php aby doda obsug np. oracle, mona przy uyciu
tego pakietu skompilowa samodzielne rozszerzenie. Wicej informacji o
samodzielnych rozszerzeniach mona znale w pliku
README.SELF-CONTAINED-EXTENSIONS.

%description devel -l pt_BR
Este pacote contm arquivos usados no desenvolvimento de programas ou
mdulos PHP.

%description devel -l ru
 php-devel     
PHP.      .  
   php  , , 
oracle,       .
 -   README.SELF-CONTAINED-EXTENSIONS.

%description devel -l uk
 php-devel  צ Ц ͦΦ  PHP.
   Ȧ   . ͦ ϧ
Цæ ¦  php  , , Ц
oracle, צ    Цæ  .
Φ æ -  ̦ README.SELF-CONTAINED-EXTENSIONS.

%package bcmath
Summary:	bcmath extension module for PHP
Summary(pl):	Modu bcmath dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(bcmath)

%description bcmath
This is a dynamic shared object (DSO) for PHP that will add bc style
precision math functions support.

%description bcmath -l pl
Modu PHP umoliwiajcy korzystanie z dokadnych funkcji
matematycznych takich jak w programie bc.

%package bzip2
Summary:	Bzip2 extension module for PHP
Summary(pl):	Modu bzip2 dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(bzip2)

%description bzip2
This is a dynamic shared object (DSO) for PHP that will add bzip2
compression support to PHP.

%description bzip2 -l pl
Modu PHP umoliwiajcy uywanie kompresji bzip2.

%package calendar
Summary:	Calendar extension module for PHP
Summary(pl):	Modu funkcji kalendarza dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(calendar)

%description calendar
This is a dynamic shared object (DSO) for PHP that will add calendar
support.

%description calendar -l pl
Modu PHP dodajcy wsparcie dla kalendarza.

%package ctype
Summary:	ctype extension module for PHP
Summary(pl):	Modu ctype dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(ctype)

%description ctype
This is a dynamic shared object (DSO) for PHP that will add ctype
support.

%description ctype -l pl
Modu PHP umoliwiajcy korzystanie z funkcji ctype.

%package curl
Summary:	curl extension module for PHP
Summary(pl):	Modu curl dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(curl)

%description curl
This is a dynamic shared object (DSO) for PHP that will add curl
support.

%description curl -l pl
Modu PHP umoliwiajcy korzystanie z biblioteki curl.

%package dba
Summary:	DBA extension module for PHP
Summary(pl):	Modu DBA dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(dba)

%description dba
This is a dynamic shared object (DSO) for PHP that will add flat-file
databases (DBA) support.

%description dba -l pl
Modu dla PHP dodajcy obsug dla baz danych opartych na plikach
(DBA).

%package dbase
Summary:	DBase extension module for PHP
Summary(pl):	Modu DBase dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(dbase)

%description dbase
This is a dynamic shared object (DSO) for PHP that will add DBase
support.

%description dbase -l pl
Modu PHP ze wsparciem dla DBase.

%package dom
Summary:	DOM extension module for PHP
Summary(pl):	Modu DOM dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(dom)
# it has some compatibility functions
Provides:	php(domxml)
Obsoletes:	php-domxml <= 3:4.3.8-1

%description dom
This is a dynamic shared object (DSO) for PHP that will add new DOM
support.

%description dom -l pl
Modu PHP dodajcy now obsug DOM.

%package exif
Summary:	exif extension module for PHP
Summary(pl):	Modu exif dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(exif)

%description exif
This is a dynamic shared object (DSO) for PHP that will add EXIF tags
support in image files.

%description exif -l pl
Modu PHP dodajcy obsug znacznikw EXIF w plikach obrazkw.

%package fdf
Summary:	FDF extension module for PHP
Summary(pl):	Modu FDF dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(fdf)

%description fdf
This PHP module adds support for PDF Forms through Adobe FDFTK
library.

%description fdf -l pl
Modu PHP dodajcy obsug formularzy PDF poprzez bibliotek Adobe
FDFTK.

%package filter
Summary:	Extension for safely dealing with input parameters
Summary(pl):	Rozszerzenie do bezpiecznej obsugi danych wejciowych
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(filter)
Obsoletes:	php-pecl-filter

%description filter
We all know that you should always check input variables, but PHP does
not offer really good functionality for doing this in a safe way. The
Input Filter extension is meant to address this issue by implementing
a set of filters and mechanisms that users can use to safely access
their input data.

%description filter -l pl
Wiadomo, e trzeba zawsze sprawdza zmienne wejciowe, ale PHP nie
oferuje naprawd dobrej funkcjonalnoci do robienia tego w sposb
bezpieczny. Rozszerzenie Input Filter ma rozwiza ten problem poprzez
zaimplementowanie zestawu filtrw i mechanizmw, ktrych uytkownicy
mog bezpiecznie uywa do dostpu do danych.

%package ftp
Summary:	FTP extension module for PHP
Summary(pl):	Modu FTP dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(ftp)

%description ftp
This is a dynamic shared object (DSO) for PHP that will add FTP
support.

%description ftp -l pl
Modu PHP dodajcy obsug protokou FTP.

%package gd
Summary:	GD extension module for PHP
Summary(pl):	Modu GD dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	gd >= 2.0.28-4
Requires:	gd(gif)
Requires:	gd(imagerotate) = 5.2.0
Provides:	php(gd)

%description gd
This is a dynamic shared object (DSO) for PHP that will add GD
support, allowing you to create and manipulate images with PHP.

%description gd -l pl
Modu PHP umoliwiajcy korzystanie z biblioteki GD, pozwalajcej na
tworzenie i obrbk obrazkw.

%package gettext
Summary:	gettext extension module for PHP
Summary(pl):	Modu gettext dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(gettext)

%description gettext
This is a dynamic shared object (DSO) for PHP that will add gettext
support.

%description gettext -l pl
Modu PHP dodajcy obsug lokalizacji przez gettext.

%package gmp
Summary:	gmp extension module for PHP
Summary(pl):	Modu gmp dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(gmp)

%description gmp
This is a dynamic shared object (DSO) for PHP that will add arbitrary
length number support with GNU MP library.

%description gmp -l pl
Modu PHP umoliwiajcy korzystanie z biblioteki gmp do oblicze na
liczbach o dowolnej dugoci.

%package hash
Summary:	HASH Message Digest Framework
Summary(pl):	Szkielet do obliczania skrtw wiadomoci
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(hash)
Obsoletes:	php-pecl-hash

%description hash
Native implementations of common message digest algorithms using a
generic factory method.

%description hash -l pl
Natywne implementacje popularnych algorytmw obliczania skrtw
wiadomoci przy uyciu wsplnego interfejsu.

%package iconv
Summary:	iconv extension module for PHP
Summary(pl):	Modu iconv dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(iconv)

%description iconv
This is a dynamic shared object (DSO) for PHP that will add iconv
support.

%description iconv -l pl
Modu PHP dodajcy obsug iconv.

%package imap
Summary:	IMAP extension module for PHP
Summary(pl):	Modu IMAP dla PHP
Summary(pt_BR):	Um mdulo para aplicaes PHP que usam IMAP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(imap)

%description imap
This is a dynamic shared object (DSO) for PHP that will add IMAP
support.

%description imap -l pl
Modu PHP dodajcy obsug skrzynek IMAP.

%description imap -l pt_BR
Um mdulo para aplicaes PHP que usam IMAP.

%package interbase
Summary:	InterBase/Firebird database module for PHP
Summary(pl):	Modu bazy danych InterBase/Firebird dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(interbase)
%{?with_interbase_inst:Autoreq:	false}

%description interbase
This is a dynamic shared object (DSO) for PHP that will add InterBase
and Firebird database support.

%description interbase -l pl
Modu PHP umoliwiajcy dostp do baz danych InterBase i Firebird.

%package json
Summary:	PHP C extension for JSON serialization
Summary(pl):	Rozszerzenie C PHP dla serializacji JSON
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(json)
Obsoletes:	php-pecl-json

%description json
php-json is an extremely fast PHP C extension for JSON (JavaScript
Object Notation) serialisation.

%description json -l pl
php-json to bardzo szybkie rozszerzenie C PHP dla serializacji JSON
(JavaScript Object Notation).

%package ldap
Summary:	LDAP extension module for PHP
Summary(pl):	Modu LDAP dla PHP
Summary(pt_BR):	Um mdulo para aplicaes PHP que usam LDAP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(ldap)

%description ldap
This is a dynamic shared object (DSO) for PHP that will add LDAP
support.

%description ldap -l pl
Modu PHP dodajcy obsug LDAP.

%description ldap -l pt_BR
Um mdulo para aplicaes PHP que usam LDAP.

%package mbstring
Summary:	mbstring extension module for PHP
Summary(pl):	Modu mbstring dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mbstring)

%description mbstring
This is a dynamic shared object (DSO) for PHP that will add multibyte
string support.

%description mbstring -l pl
Modu PHP dodajcy obsug cigw znakw wielobajtowych.

%package mcrypt
Summary:	mcrypt extension module for PHP
Summary(pl):	Modu mcrypt dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mcrypt)

%description mcrypt
This is a dynamic shared object (DSO) for PHP that will add mcrypt
support.

%description mcrypt -l pl
Modu PHP dodajcy moliwo szyfrowania poprzez bibliotek mcrypt.

%package mhash
Summary:	mhash extension module for PHP
Summary(pl):	Modu mhash dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mhash)

%description mhash
This is a dynamic shared object (DSO) for PHP that will add mhash
support.

%description mhash -l pl
Modu PHP udostpniajcy funkcje mieszajce z biblioteki mhash.

%package mime_magic
Summary:	mime_magic extension module for PHP
Summary(pl):	Modu mime_magic dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	/usr/share/file/magic.mime
Provides:	php(mime_magic)

%description mime_magic
This PHP module adds support for MIME type lookup via file magic
numbers using magic.mime database.

%description mime_magic -l pl
Modu PHP dodajcy obsug wyszukiwania typw MIME wedug magicznych
znacznikw plikw z uyciem bazy danych magic.mime.

%package ming
Summary:	ming extension module for PHP
Summary(pl):	Modu ming dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(ming)

%description ming
This is a dynamic shared object (DSO) for PHP that will add ming
(Flash - .swf files) support.

%description ming -l pl
Modu PHP dodajcy obsug plikw Flash (.swf) poprzez bibliotek
ming.

%package mssql
Summary:	MS SQL extension module for PHP
Summary(pl):	Modu MS SQL dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mssql)

%description mssql
This is a dynamic shared object (DSO) for PHP that will add MS SQL
databases support through FreeTDS library.

%description mssql -l pl
Modu PHP dodajcy obsug baz danych MS SQL poprzez bibliotek
FreeTDS.

%package mysql
Summary:	MySQL database module for PHP
Summary(pl):	Modu bazy danych MySQL dla PHP
Summary(pt_BR):	Um mdulo para aplicaes PHP que usam bancos de dados MySQL
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(mysql)

%description mysql
This is a dynamic shared object (DSO) for PHP that will add MySQL
database support.

%description mysql -l pl
Modu PHP umoliwiajcy dostp do bazy danych MySQL.

%description mysql -l pt_BR
Um mdulo para aplicaes PHP que usam bancos de dados MySQL.

%package mysqli
Summary:	MySQLi module for PHP
Summary(pl):	Modu MySQLi dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	mysql-libs >= 4.1.0
Provides:	php(mysqli)

%description mysqli
This is a dynamic shared object (DSO) for PHP that will add MySQLi
(Improved MySQL) support. The difference between it and mysql module
is that it provides access to functionality of MySQL 4.1 and above.

%description mysqli -l pl
Modu PHP umoliwiajcy udoskonalony dostp do bazy danych MySQL.
Rnic midzy nim a moduem mysql jest dostp do funkcjonalnoci
MySQL w wersji 4.1 i nowszych.

%package ncurses
Summary:	ncurses module for PHP
Summary(pl):	Modu ncurses dla PHP
Group:		Libraries
Requires:	%{name}-cli = %{epoch}:%{version}-%{release}
Provides:	php(ncurses)

%description ncurses
This PHP module adds support for ncurses functions (only for cli and
cgi SAPIs).

%description ncurses -l pl
Modu PHP dodajcy obsug funkcji ncurses (tylko do SAPI cli i cgi).

%package oci8
Summary:	Oracle 8+ database module for PHP
Summary(pl):	Modu bazy danych Oracle 8+ dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(oci8)
Autoreq:	false

%description oci8
This is a dynamic shared object (DSO) for PHP that will add Oracle 7,
8, 9 and 10 database support through Oracle8 Call-Interface (OCI8).

%description oci8 -l pl
Modu PHP umoliwiajcy dostp do bazy danych Oracle 7, 8, 9 i 10
poprzez interfejs Oracle8 Call-Interface (OCI8).

%package odbc
Summary:	ODBC extension module for PHP
Summary(pl):	Modu ODBC dla PHP
Summary(pt_BR):	Um mdulo para aplicaes PHP que usam bases de dados ODBC
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	unixODBC >= 2.1.1-3
Provides:	php(odbc)

%description odbc
This is a dynamic shared object (DSO) for PHP that will add ODBC
support.

%description odbc -l pl
Modu PHP ze wsparciem dla ODBC.

%description odbc -l pt_BR
Um mdulo para aplicaes PHP que usam ODBC.

%package openssl
Summary:	OpenSSL extension module for PHP
Summary(pl):	Modu OpenSSL dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(openssl)

%description openssl
This is a dynamic shared object (DSO) for PHP that will add OpenSSL
support.

Warning: this is an experimental module.

%description openssl -l pl
Modu PHP umoliwiajcy korzystanie z biblioteki OpenSSL.

Uwaga: to jest modu eksperymentalny.

%package pcntl
Summary:	Process Control extension module for PHP
Summary(pl):	Modu Process Control dla PHP
Group:		Libraries
Requires:	%{name}-cli = %{epoch}:%{version}-%{release}
Provides:	php(pcntl)

%description pcntl
This is a dynamic shared object (DSO) for PHP that will add process
spawning and control support. It supports functions like fork(),
waitpid(), signal() etc.

Warning: this is an experimental module. Also, don't use it in
webserver environment!

%description pcntl -l pl
Modu PHP umoliwiajcy tworzenie nowych procesw i kontrol nad nimi.
Obsuguje funkcje takie jak fork(), waitpid(), signal() i podobne.

Uwaga: to jest modu eksperymentalny. Ponadto nie jest przeznaczony do
uywania z serwerem WWW - nie prbuj tego!

%package pdo
Summary:	PHP Data Objects (PDO)
Summary(pl):	Obsuga PHP Data Objects (PDO)
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pdo)
Obsoletes:	php-pecl-PDO

%description pdo
This is a dynamic shared object (DSO) for PHP that will add PDO
support.

%description pdo -l pl
Modu PHP dodajcy obsug PDO (PHP Data Objects).

%package pdo-dblib
Summary:	PHP Data Objects (PDO) FreeTDS support
Summary(pl):	Modu PHP Data Objects (PDO) z obsug FreeTDS
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(dblib)

%description pdo-dblib
This is a dynamic shared object (DSO) for PHP that will add PDO
FreeTDS support.

%description pdo-dblib -l pl
Modu dla PHP dodajcy obsug baz danych FreeTDS za porednictwem
interfejsu PDO.

%package pdo-firebird
Summary:	PHP Data Objects (PDO) Firebird support
Summary(pl):	Modu PHP Data Objects (PDO) z obsug Firebirda
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-firebird)
Obsoletes:	php-pecl-PDO_FIREBIRD

%description pdo-firebird
This is a dynamic shared object (DSO) for PHP that will add PDO
Firebird support.

%description pdo-firebird -l pl
Modu dla PHP dodajcy obsug baz danych Firebird za porednictwem
interfejsu PDO.

%package pdo-mysql
Summary:	PHP Data Objects (PDO) MySQL support
Summary(pl):	Modu PHP Data Objects (PDO) z obsug MySQL-a
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-mysql)
Obsoletes:	php-pecl-PDO_MYSQL

%description pdo-mysql
This is a dynamic shared object (DSO) for PHP that will add PDO MySQL
support.

%description pdo-mysql -l pl
Modu dla PHP dodajcy obsug baz danych MySQL za porednictwem
interfejsu PDO.

%package pdo-oci
Summary:	PHP Data Objects (PDO) Oracle support
Summary(pl):	Modu PHP Data Objects (PDO) z obsug Oracle'a
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-oci)
Obsoletes:	php-pecl-PDO_OCI

%description pdo-oci
This is a dynamic shared object (DSO) for PHP that will add PDO Oracle
support.

%description pdo-oci -l pl
Modu dla PHP dodajcy obsug baz danych Oracle za porednictwem
interfejsu PDO.

%package pdo-odbc
Summary:	PHP Data Objects (PDO) ODBC support
Summary(pl):	Modu PHP Data Objects (PDO) z obsug ODBC
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-odbc)
Obsoletes:	php-pecl-PDO_ODBC

%description pdo-odbc
This is a dynamic shared object (DSO) for PHP that will add PDO ODBC
support.

%description pdo-odbc -l pl
Modu dla PHP dodajcy obsug baz danych ODBC za porednictwem
interfejsu PDO.

%package pdo-pgsql
Summary:	PHP Data Objects (PDO) PostgreSQL support
Summary(pl):	Modu PHP Data Objects (PDO) z obsug PostgreSQL-a
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-pgsql)
Obsoletes:	php-pecl-PDO_PGSQL

%description pdo-pgsql
This is a dynamic shared object (DSO) for PHP that will add PDO
PostgreSQL support.

%description pdo-pgsql -l pl
Modu dla PHP dodajcy obsug baz danych PostgreSQL za porednictwem
interfejsu PDO.

%package pdo-sqlite
Summary:	PHP Data Objects (PDO) SQLite support
Summary(pl):	Modu PHP Data Objects (PDO) z obsug SQLite
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(pdo-sqlite)
Obsoletes:	php-pecl-PDO_SQLITE

%description pdo-sqlite
This is a dynamic shared object (DSO) for PHP that will add PDO SQLite
support.

%description pdo-sqlite -l pl
Modu dla PHP dodajcy obsug baz danych SQLite za porednictwem
interfejsu PDO.

%package pgsql
Summary:	PostgreSQL database module for PHP
Summary(pl):	Modu bazy danych PostgreSQL dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pgsql)
Provides:	php-pecl-PDO_PGSQL
Obsoletes:	php-pecl-PDO_PGSQL

%description pgsql
This is a dynamic shared object (DSO) for PHP that will add PostgreSQL
database support.

%description pgsql -l pl
Modu PHP umoliwiajcy dostp do bazy danych PostgreSQL.

%description pgsql -l pt_BR
Um mdulo para aplicaes PHP que usam bancos de dados postgresql.

%package posix
Summary:	POSIX extension module for PHP
Summary(pl):	Modu POSIX dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(posix)

%description posix
This is a dynamic shared object (DSO) for PHP that will add POSIX
functions support to PHP.

%description posix -l pl
Modu PHP umoliwiajcy korzystanie z funkcji POSIX.

%package pspell
Summary:	pspell extension module for PHP
Summary(pl):	Modu pspell dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(pspell)

%description pspell
This is a dynamic shared object (DSO) for PHP that will add pspell
support to PHP. It allows to check the spelling of a word and offer
suggestions.

%description pspell -l pl
Modu PHP umoliwiajcy korzystanie z pspella. Pozwala on na
sprawdzanie pisowni sowa i sugerowanie poprawek.

%package readline
Summary:	readline extension module for PHP
Summary(pl):	Modu readline dla PHP
Group:		Libraries
Requires:	%{name}-cli = %{epoch}:%{version}-%{release}
Provides:	php(readline)

%description readline
This PHP module adds support for readline functions (only for cli and
cgi SAPIs).

%description readline -l pl
Modu PHP dodajcy obsug funkcji readline (tylko do SAPI cli i cgi).

%package recode
Summary:	recode extension module for PHP
Summary(pl):	Modu recode dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	recode >= 3.5d-3
Provides:	php(recode)

%description recode
This is a dynamic shared object (DSO) for PHP that will add recode
support.

%description recode -l pl
Modu PHP dodajcy moliwo konwersji kodowania plikw (poprzez
bibliotek recode).

%package shmop
Summary:	Shared Memory Operations extension module for PHP
Summary(pl):	Modu shmop dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(shmop)

%description shmop
This is a dynamic shared object (DSO) for PHP that will add Shared
Memory Operations support.

Warning: this is an experimental module.

%description shmop -l pl
Modu PHP umoliwiajcy korzystanie z pamici dzielonej.

Uwaga: to jest modu eksperymentalny.

%package simplexml
Summary:	Simple XML extension module for PHP
Summary(pl):	Modu prostego rozszerzenia XML dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(simplexml)

%description simplexml
This is a dynamic shared object (DSO) for PHP that will add Simple XML
support.

%description simplexml -l pl
Modu PHP dodajcy obsug prostego XML-a.

%package snmp
Summary:	SNMP extension module for PHP
Summary(pl):	Modu SNMP dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-sockets = %{epoch}:%{version}-%{release}
Provides:	php(snmp)

%description snmp
This is a dynamic shared object (DSO) for PHP that will add SNMP
support.

%description snmp -l pl
Modu PHP dodajcy obsug SNMP.

%package soap
Summary:	soap extension module for PHP
Summary(pl):	Modu soap dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(soap)

%description soap
This is a dynamic shared object (DSO) for PHP that will add SOAP/WSDL
support.

%description soap -l pl
Modu PHP dodajcy obsug SOAP/WSDL.

%package sockets
Summary:	sockets extension module for PHP
Summary(pl):	Modu socket dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sockets)

%description sockets
This is a dynamic shared object (DSO) for PHP that will add sockets
support.

Warning: this is an experimental module.

%description sockets -l pl
Modu PHP dodajcy obsug gniazdek.

Uwaga: to jest modu eksperymentalny.

%package sqlite
Summary:	SQLite extension module for PHP
Summary(pl):	Modu SQLite dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdo = %{epoch}:%{version}-%{release}
Provides:	php(sqlite)

%description sqlite
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server. SQLite is the server. The SQLite library reads and writes
directly to and from the database files on disk.

%description sqlite -l pl
SQLite jest napisan w C bibliotek implementujc osadzalny silnik
bazodanowy SQL. Program linkujcy si z bibliotek SQLite moe mie
dostp do bazy SQL bez potrzeby uruchamiania dodatkowego procesu
RDBMS.

SQLite to nie klient baz danych - biblioteka nie czy si z serwerami
baz danych. SQLite sam jest serwerem. Biblioteka SQLite czyta i
zapisuje dane bezporednio z/do plikw baz danych znajdujcych si na
dysku.

%package sybase
Summary:	Sybase DB extension module for PHP
Summary(pl):	Modu Sybase DB dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sybase)
Obsoletes:	php-sybase-ct
Conflicts:	php-sybase-ct

%description sybase
This is a dynamic shared object (DSO) for PHP that will add Sybase and
MS SQL databases support through SYBDB library. Currently Sybase
module is not maintained. Using Sybase-CT module is recommended
instead.

%description sybase -l pl
Modu PHP dodajcy obsug baz danych Sybase oraz MS SQL poprzez
bibliotek SYBDB. W chwili obecnej modu Sybase nie jest wspierany.
Zaleca si uywanie moduu Sybase-CT.

%package sybase-ct
Summary:	Sybase-CT extension module for PHP
Summary(pl):	Modu Sybase-CT dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sybase-ct)
Obsoletes:	php-sybase
Conflicts:	php-sybase

%description sybase-ct
This is a dynamic shared object (DSO) for PHP that will add Sybase and
MS SQL databases support through CT-lib.

%description sybase-ct -l pl
Modu PHP dodajcy obsug baz danych Sybase oraz MS SQL poprzez
CT-lib.

%package sysvmsg
Summary:	SysV msg extension module for PHP
Summary(pl):	Modu SysV msg dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sysvmsg)

%description sysvmsg
This is a dynamic shared object (DSO) for PHP that will add SysV
message queues support.

%description sysvmsg -l pl
Modu PHP umoliwiajcy korzystanie z kolejek komunikatw SysV.

%package sysvsem
Summary:	SysV sem extension module for PHP
Summary(pl):	Modu SysV sem dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sysvsem)

%description sysvsem
This is a dynamic shared object (DSO) for PHP that will add SysV
semaphores support.

%description sysvsem -l pl
Modu PHP umoliwiajcy korzystanie z semaforw SysV.

%package sysvshm
Summary:	SysV shm extension module for PHP
Summary(pl):	Modu SysV shm dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(sysvshm)

%description sysvshm
This is a dynamic shared object (DSO) for PHP that will add SysV
Shared Memory support.

%description sysvshm -l pl
Modu PHP umoliwiajcy korzystanie z pamici dzielonej SysV.

%package tidy
Summary:	Tidy extension module for PHP
Summary(pl):	Modu Tidy dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	tidy
Provides:	php(tidy)

%description tidy
This is a dynamic shared object (DSO) for PHP that will add Tidy
support.

%description tidy -l pl
Modu PHP umoliwiajcy korzystanie z tidy.

%package tokenizer
Summary:	tokenizer extension module for PHP
Summary(pl):	Modu rozszerzenia tokenizer dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(tokenizer)

%description tokenizer
This is a dynamic shared object (DSO) for PHP that will add tokenizer
support.

%description tokenizer -l pl
Modu PHP dodajcy obsug tokenizera do PHP.

%package wddx
Summary:	wddx extension module for PHP
Summary(pl):	Modu wddx dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
#Requires:	%{name}-session = %{epoch}:%{version}-%{release}
Requires:	%{name}-xml = %{epoch}:%{version}-%{release}
Provides:	php(wddx)

%description wddx
This is a dynamic shared object (DSO) for PHP that will add wddx
support.

%description wddx -l pl
Modu PHP umoliwiajcy korzystanie z wddx.

%package xml
Summary:	XML extension module for PHP
Summary(pl):	Modu XML dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(xml)

%description xml
This is a dynamic shared object (DSO) for PHP that will add XML
support. This extension lets you create XML parsers and then define
handlers for different XML events.

%description xml -l pl
Modu PHP umoliwiajcy parsowanie plikw XML i obsug zdarze
zwizanych z tymi plikami. Pozwala on tworzy analizatory XML-a i
nastpnie definiowa procedury obsugi dla rnych zdarze XML.

%package xmlreader
Summary:	XML Reader extension module for PHP
Summary(pl):	Modu XML Reader dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	%{name}-dom = %{epoch}:%{version}-%{release}
Provides:	php(xmlreader)

%description xmlreader
This is a dynamic shared object (DSO) for PHP that will add XML Reader
support. The XMLReader extension is an XML Pull parser. The reader
acts as a cursor going forward on the document stream and stopping at
each node on the way.

%description xmlreader -l pl
Modu PHP umoliwiajcy analiz plikw XML w trybie Pull. Czytnik
dziaa jako kursor przechodzcy przez strumie dokumentu i
zatrzymujcy si na kadym wle po drodze.

%package xmlrpc
Summary:	xmlrpc extension module for PHP
Summary(pl):	Modu xmlrpc dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(xmlrpc)

%description xmlrpc
This is a dynamic shared object (DSO) for PHP that will add XMLRPC
support.

Warning: this is an experimental module.

%description xmlrpc -l pl
Modu PHP dodajcy obsug XMLRPC.

Uwaga: to jest modu eksperymentalny.

%package xmlwriter
Summary:	Fast, non-cached, forward-only means to write XML data
Summary(pl):	Szybka, nie cachowana metoda zapisu danych w formacie XML
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(xmlwriter)
Obsoletes:	php-pecl-xmlwriter

%description xmlwriter
This extension wraps the libxml xmlWriter API. Represents a writer
that provides a non-cached, forward-only means of generating streams
or files containing XML data.

%description xmlwriter -l pl
To rozszerzenie obudowuje API xmlWriter z libxml. Reprezentuje obsug
zapisu dostarczajc nie cachowanych metod generowania strumieni lub
plikw zawierajcych dane XML.

%package xsl
Summary:	xsl extension module for PHP
Summary(pl):	Modu xsl dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Requires:	libxslt >= 1.0.18
# actually not true, functionality is similar, but API differs
Provides:	php(xsl)
Obsoletes:	php-xslt <= 3:4.3.8-1

%description xsl
This is a dynamic shared object (DSO) for PHP that will add new XSL
support (using libxslt).

%description xsl -l pl
Modu PHP dodajcy now obsug XSLT (przy uyciu libxslt).

%package zip
Summary:	Zip management extension
Summary(pl):	Zarzdzanie archiwami zip
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(zip)
Obsoletes:	php-pecl-zip

%description zip
Zip is an extension to create, modify and read zip files.

%description zip -l pl
Zip jest rozszerzeniem umoliwiajcym tworzenie, modyfikacj oraz
odczyt archiww zip.

%package zlib
Summary:	Zlib extension module for PHP
Summary(pl):	Modu zlib dla PHP
Group:		Libraries
Requires:	%{name}-common = %{epoch}:%{version}-%{release}
Provides:	php(zlib)

%description zlib
This is a dynamic shared object (DSO) for PHP that will add zlib
compression support to PHP.

%description zlib -l pl
Modu PHP umoliwiajcy uywanie kompresji zlib.

%prep
%setup -q
%patch36 -p1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

cp php.ini-dist php.ini
%patch10 -p1
# for ac2.53b/am1.6b - AC_LANG_CXX has AM_CONDITIONAL, so cannot be invoked
# conditionally...
%patch11 -p1
#%patch15 -p1 # breaks with ac cache vars, but later -lpthread is missing ...
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch23 -p1
%patch24 -p1
%patch26 -p1

%if %{with hardening}
zcat %{SOURCE8} | patch -p1 || exit 1
patch -p1 < %{PATCH30} || exit 1
%endif
%patch31 -p1
%patch32 -p1
%patch33 -p1

%{?with_versioning:%patch35 -p1}

%patch39 -p1
%patch41 -p1

# conflict seems to be resolved by recode patches
rm -f ext/recode/config9.m4

# remove all bundled libraries not to link with them accidentally
#rm -rf ext/sqlite/libsqlite
#rm -rf ext/bcmath/libbcmath
#rm -rf ext/date/lib
#rm -rf ext/dba/libcdb
#rm -rf ext/dba/libflatfile
#rm -rf ext/dba/libinifile
#rm -rf ext/gd/libgd
#rm -rf ext/mbstring/libmbfl
#rm -rf ext/mbstring/oniguruma
rm -rf ext/pcre/pcrelib
rm -rf ext/pdo_sqlite/sqlite
#rm -rf ext/soap/interop
rm -rf ext/xmlrpc/libxmlrpc

%build
if API=$(awk '/#define PHP_API_VERSION/{print $3}' main/php.h) && [ $API != %{php_api_version} ]; then
	echo "Set %%define php_api_version to $API and rerun."
	exit 1
fi

if API=$(awk '/#define ZEND_MODULE_API_NO/{print $3}' Zend/zend_modules.h) && [ $API != %{zend_module_api} ]; then
	echo "Set %%define zend_module_api to $API and rerun."
	exit 1
fi

if API=$(awk '/#define ZEND_EXTENSION_API_NO/{print $3}' Zend/zend_extensions.h) && [ $API != %{zend_extension_api} ]; then
	echo "Set %%define zend_extension_api to $API and rerun."
	exit 1
fi

export EXTENSION_DIR="%{php_extensiondir}"
if [ ! -f _built-conf ]; then # configure once (for faster debugging purposes)
	rm -f Makefile.{fcgi,cgi,cli,apxs{1,2}} # now remove Makefile copies
	%{__libtoolize}
	%{__aclocal}
	./buildconf --force
	touch _built-conf
fi
export PROG_SENDMAIL="/usr/lib/sendmail"

sapis="
%if %{with fcgi}
fcgi
%endif
cgi cli
%if %{with apache1}
apxs1
%endif
%if %{with apache2}
apxs2
%endif
"
for sapi in $sapis; do
	[ -f Makefile.$sapi ] && continue # skip if already configured (for faster debugging purposes)

	%configure \
	`
	case $sapi in
	cgi)
		echo --enable-discard-path --enable-force-cgi-redirect
	;;
	cli)
		echo --disable-cgi
	;;
	fcgi)
		echo --enable-fastcgi --with-fastcgi=/usr --enable-force-cgi-redirect
	;;
	apxs1)
		ver=%(rpm -q --qf '%%{version}' apache1-apxs)
		echo --with-apxs=%{apxs1} --with-apache-version=$ver
	;;
	apxs2)
		ver=%(rpm -q --qf '%%{version}' apache-apxs)
		echo --with-apxs2=%{apxs2} --with-apache-version=$ver
	;;
	esac
	` \
%if "%{!?configure_cache:0}%{?configure_cache}" == "0"
	--cache-file=config.cache \
%endif
	--with-libdir=%{_lib} \
	--with-config-file-path=%{php_sysconfdir} \
	--with-config-file-scan-dir=%{php_sysconfdir}/conf.d \
	--with-exec-dir=%{_bindir} \
	--%{!?debug:dis}%{?debug:en}able-debug \
	%{?with_zts:--enable-maintainer-zts} \
	--enable-inline-optimization \
	--enable-memory-limit \
	--enable-bcmath=shared \
	--enable-calendar=shared \
	--enable-ctype=shared \
	--enable-dba=shared \
	--with-inifile \
	--with-flatfile \
	--enable-dom=shared \
	--enable-exif=shared \
	--enable-ftp=shared \
	--enable-gd-native-ttf \
	--enable-gd-jus-conf \
	--enable-libxml \
	--enable-magic-quotes \
	--enable-mbstring=shared,all \
	--enable-mbregex \
	--enable-pcntl=shared \
	--enable-pdo=shared \
	--enable-json=shared \
	--enable-hash=shared \
	--enable-xmlwriter=shared \
%if %{with mssql} || %{with sybase} || %{with sybase_ct}
	--with-pdo-dblib=shared \
%endif
%if %{with interbase} && !%{with interbase_inst}
	--with-pdo-firebird=shared,/usr \
%endif
	--with-pdo-mysql=shared \
	%{?with_oci8:--with-pdo-oci=shared} \
	%{?with_odbc:--with-pdo-odbc=shared,unixODBC,/usr} \
	%{?with_pgsql:--with-pdo-pgsql=shared} \
	%{?with_sqlite:--with-pdo-sqlite=shared,/usr} \
	--enable-posix=shared \
	--enable-reflection \
	--enable-session \
	--enable-shared \
	--enable-shmop=shared \
	--enable-simplexml \
	--enable-sysvmsg=shared \
	--enable-sysvsem=shared \
	--enable-sysvshm=shared \
	--enable-track-vars \
	--enable-trans-sid \
	--enable-safe-mode \
	--enable-soap=shared \
	--enable-sockets=shared \
	--enable-tokenizer=shared \
	--enable-ucd-snmp-hack \
	%{?with_wddx:--enable-wddx=shared} \
	--enable-xml=shared \
	--enable-xmlreader=shared \
	--with-bz2=shared \
	%{!?with_curl:--without-curl}%{?with_curl:--with-curl=shared} \
	--with-db4 \
	--enable-dbase=shared \
%if %{with xmlrpc}
	--with-expat-dir=shared,/usr \
%else
	--without-expat-dir \
%endif
	%{?with_fdf:--with-fdftk=shared} \
	--with-iconv=shared \
	--with-freetype-dir=shared \
	--with-gettext=shared \
	--with-gd=shared,/usr \
	--with-gdbm \
	--with-gmp=shared \
	%{?with_imap:--with-imap=shared --with-imap-ssl} \
	%{?with_interbase:--with-interbase=shared%{!?with_interbase_inst:,/usr}} \
	--with-jpeg-dir=/usr \
	%{?with_ldap:--with-ldap=shared --with-ldap-sasl} \
	--with-mcrypt=shared \
	%{?with_mhash:--with-mhash=shared} \
	%{?with_mime_magic:--with-mime-magic=shared,/usr/share/file/magic.mime}%{!?with_mime_magic:--disable-mime-magic} \
	%{?with_ming:--with-ming=shared} \
	%{?with_mm:--with-mm} \
	%{?with_mssql:--with-mssql=shared} \
	--with-mysql=shared,/usr \
	--with-mysql-sock=/var/lib/mysql/mysql.sock \
	%{?with_mysqli:--with-mysqli=shared} \
	--with-ncurses=shared \
	%{?with_oci8:--with-oci8=shared} \
	%{?with_openssl:--with-openssl=shared} \
	--with-kerberos \
	%{!?with_pcre:--without-pcre-regex}%{?with_pcre:--with-pcre-regex=/usr} \
	%{!?with_filter:--disable-filter}%{?with_filter:--enable-filter=shared} \
	--with-pear=%{php_pear_dir} \
	%{!?with_pgsql:--without-pgsql}%{?with_pgsql:--with-pgsql=shared,/usr} \
	--with-png-dir=/usr \
	%{?with_pspell:--with-pspell=shared} \
	--with-readline=shared \
	%{?with_recode:--with-recode=shared} \
	--with-regex=php \
	--without-sablot-js \
	%{?with_snmp:--with-snmp=shared} \
	%{?with_sybase:--with-sybase=shared,/usr} \
	%{?with_sybase_ct:--with-sybase-ct=shared,/usr} \
	%{?with_sqlite:--with-sqlite=shared,/usr --enable-sqlite-utf8} \
	--with-t1lib=shared \
	%{?with_tidy:--with-tidy=shared} \
	--with-tiff-dir=/usr \
	%{?with_odbc:--with-unixODBC=shared,/usr} \
	%{!?with_xmlrpc:--without-xmlrpc}%{?with_xmlrpc:--with-xmlrpc=shared,/usr} \
	--with-xsl=shared \
	--with-zlib=shared \
	--with-zlib-dir=shared,/usr \
	--enable-zip=shared,/usr \

	cp -f Makefile Makefile.$sapi
	cp -f main/php_config.h php_config.h.$sapi
done

# must make this first, so modules can link against it.
%{__make} libphp_common.la
%{__make} build-modules

%if %{with apache1}
%{__make} libtool-sapi LIBTOOL_SAPI=sapi/apache/libphp5.la -f Makefile.apxs1 LDFLAGS=-lpthread
%endif

%if %{with apache2}
%{__make} libtool-sapi LIBTOOL_SAPI=sapi/apache2handler/libphp5.la -f Makefile.apxs2
%endif

# FCGI
%if %{with fcgi}
cp -af php_config.h.fcgi main/php_config.h
%{__make} sapi/cgi/php -f Makefile.fcgi LDFLAGS=-lpthread
cp -r sapi/cgi sapi/fcgi
rm -rf sapi/cgi/.libs sapi/cgi/*.lo
%endif

# CGI
cp -af php_config.h.cgi main/php_config.h
%{__make} sapi/cgi/php -f Makefile.cgi LDFLAGS=-lpthread

# CLI
cp -af php_config.h.cli main/php_config.h
%{__make} sapi/cli/php -f Makefile.cli LDFLAGS=-lpthread

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/{php,apache{,1}},%{php_sysconfdir}/{apache,cgi}} \
	$RPM_BUILD_ROOT/home/services/{httpd,apache}/icons \
	$RPM_BUILD_ROOT{%{_sbindir},%{_bindir}} \
	$RPM_BUILD_ROOT/etc/{apache/conf.d,httpd/httpd.conf} \
	$RPM_BUILD_ROOT%{_mandir}/man1 \

# install the apache modules' files
%{__make} install-headers install-build install-modules install-programs \
	INSTALL_ROOT=$RPM_BUILD_ROOT

# install apache1 DSO module
%if %{with apache1}
libtool --silent --mode=install install sapi/apache/libphp5.la $RPM_BUILD_ROOT%{_libdir}/apache1
%endif

# install apache2 DSO module
%if %{with apache2}
libtool --silent --mode=install install sapi/apache2handler/libphp5.la $RPM_BUILD_ROOT%{_libdir}/apache
%endif

libtool --silent --mode=install install libphp_common.la $RPM_BUILD_ROOT%{_libdir}
# fix install paths, avoid evil rpaths
sed -i -e "s|^libdir=.*|libdir='%{_libdir}'|" $RPM_BUILD_ROOT%{_libdir}/libphp_common.la
# better solution?
sed -i -e 's|libphp_common.la|$(libdir)/libphp_common.la|' $RPM_BUILD_ROOT%{_libdir}/php/build/acinclude.m4

# install CGI
libtool --silent --mode=install install sapi/cgi/php $RPM_BUILD_ROOT%{_bindir}/php.cgi

# install FCGI
%if %{with fcgi}
libtool --silent --mode=install install sapi/fcgi/php $RPM_BUILD_ROOT%{_bindir}/php.fcgi
%endif

# install CLI
libtool --silent --mode=install install sapi/cli/php $RPM_BUILD_ROOT%{_bindir}/php.cli
install sapi/cli/php.1 $RPM_BUILD_ROOT%{_mandir}/man1/php.1
echo ".so php.1" >$RPM_BUILD_ROOT%{_mandir}/man1/php.cli.1

ln -sf php.cli $RPM_BUILD_ROOT%{_bindir}/php

sed -e 's#%{_prefix}/lib/php#%{_libdir}/php#g' php.ini > $RPM_BUILD_ROOT%{php_sysconfdir}/php.ini
%if %{with fcgi}
install %{SOURCE4} $RPM_BUILD_ROOT%{php_sysconfdir}/php-cgi-fcgi.ini
%endif
install %{SOURCE5} $RPM_BUILD_ROOT%{php_sysconfdir}/php-cgi.ini
install %{SOURCE7} $RPM_BUILD_ROOT%{php_sysconfdir}/php-cli.ini
install %{SOURCE9} $RPM_BUILD_ROOT%{php_sysconfdir}/browscap.ini

%if %{with apache1}
install %{SOURCE2} php.gif $RPM_BUILD_ROOT/home/services/apache/icons
install %{SOURCE3} $RPM_BUILD_ROOT/etc/apache/conf.d/70_mod_php.conf
install %{SOURCE6} $RPM_BUILD_ROOT%{php_sysconfdir}/php-apache.ini
rm -f $RPM_BUILD_ROOT%{_libdir}/apache1/libphp5.la
%endif

%if %{with apache2}
install %{SOURCE2} php.gif $RPM_BUILD_ROOT/home/services/httpd/icons
install %{SOURCE3} $RPM_BUILD_ROOT/etc/httpd/httpd.conf/70_mod_php.conf
install %{SOURCE6} $RPM_BUILD_ROOT%{php_sysconfdir}/php-apache2handler.ini
rm -f $RPM_BUILD_ROOT%{_libdir}/apache/libphp5.la
%endif

cp -f Zend/LICENSE{,.Zend}

# Generate stub .ini files for each subpackage
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
for so in modules/*.so; do
	mod=$(basename $so .so)
	conf="%{php_sysconfdir}/conf.d/${mod}.ini"
	# xml needs to be loaded before wddx
	[ "$mod" = "wddx" ] && conf="%{php_sysconfdir}/conf.d/xml_${mod}.ini"
	cat > $RPM_BUILD_ROOT${conf} <<EOF
; Enable ${mod} extension module
extension=${mod}.so
EOF
done

# per SAPI ini directories
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/{cgi,cli,cgi-fcgi,apache,apache2handler}.d

# for CLI SAPI only
mv $RPM_BUILD_ROOT%{php_sysconfdir}/{conf.d/{ncurses,pcntl,readline}.ini,cli.d}

# use system automake and {lib,sh}tool
ln -snf /usr/share/automake/config.{guess,sub} $RPM_BUILD_ROOT%{_libdir}/php/build
ln -snf %{_aclocaldir}/libtool.m4 $RPM_BUILD_ROOT%{_libdir}/php/build
ln -snf %{_datadir}/libtool/ltmain.sh $RPM_BUILD_ROOT%{_libdir}/php/build
ln -snf %{_bindir}/shtool $RPM_BUILD_ROOT%{_libdir}/php/build

# as a result of ext/pcre/pcrelib removal in %%prep, ext/pcre/php_pcre.h
# isn't installed by install-headers make target, we do it manually here.
# this header file is required by e.g. filter PECL extension
install -D ext/pcre/php_pcre.h $RPM_BUILD_ROOT%{_includedir}/php/ext/pcre/php_pcre.h
# for php-pecl-mailparse
install -d $RPM_BUILD_ROOT%{_includedir}/php/ext/mbstring
cp -a ext/mbstring/libmbfl/mbfl/*.h $RPM_BUILD_ROOT%{_includedir}/php/ext/mbstring

%clean
rm -rf $RPM_BUILD_ROOT

%post -n apache1-mod_php
if [ "$1" = "1" ]; then
	%service -q apache restart
fi

%postun -n apache1-mod_php
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%post -n apache-mod_php
if [ "$1" = "1" ]; then
	%service -q httpd restart
fi

%postun -n apache-mod_php
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%post	common -p /sbin/ldconfig
%postun	common -p /sbin/ldconfig

%posttrans common
# minimizing apache restarts logics. we restart webserver:
#
# 1. at the end of transaction. (posttrans, feature from rpm 4.4.2)
# 2. first install of extension (post: $1 = 1)
# 2. uninstall of extension (postun: $1 == 0)
#
# the strict internal deps between extensions (and apache modules) and
# common package are very important for all this to work.

# restart webserver at the end of transaction
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%if %{with apache1}
%triggerpostun -n apache1-mod_php -- php < 4:5.0.4-9.11
sed -i -e '
	/^AddType application\/x-httpd-php \.php/s,^,#,
	/^\(Add\|Load\)Module.*php5\.\(so\|c\)/d
' /etc/apache/apache.conf
%service -q apache restart
%endif

%if %{with apache2}
%triggerpostun -n apache-mod_php -- php < 4:5.0.4-7.1, php < 4:5.0.4-7.1
# for fixed php-SAPI.ini, the poor php-apache.ini was never read for apache2
if [ -f %{php_sysconfdir}/php-apache.ini.rpmsave ]; then
	cp -f %{php_sysconfdir}/php-apache2handler.ini{,.rpmnew}
	mv -f %{php_sysconfdir}/php-apache.ini.rpmsave %{php_sysconfdir}/php-apache2handler.ini
fi
%endif

# common macros called at extension post/postun scriptlet
%define	extension_scripts() \
%post %1 \
if [ "$1" = "1" ]; then \
	%php_webserver_restart \
fi \
\
%postun %1 \
if [ "$1" = "0" ]; then \
	%php_webserver_restart \
fi
%{nil}

# extension scripts defines
%extension_scripts bcmath
%extension_scripts bzip2
%extension_scripts calendar
%extension_scripts ctype
%extension_scripts curl
%extension_scripts dba
%extension_scripts dbase
%extension_scripts dom
%extension_scripts exif
%extension_scripts fdf
%extension_scripts filter
%extension_scripts ftp
%extension_scripts gd
%extension_scripts gettext
%extension_scripts gmp
%extension_scripts hash
%extension_scripts iconv
%extension_scripts imap
%extension_scripts interbase
%extension_scripts json
%extension_scripts ldap
%extension_scripts mbstring
%extension_scripts mcrypt
%extension_scripts mhash
%extension_scripts mime_magic
%extension_scripts ming
%extension_scripts mssql
%extension_scripts mysql
%extension_scripts mysqli
%extension_scripts oci8
%extension_scripts odbc
%extension_scripts openssl
%extension_scripts pdo-dblib
%extension_scripts pdo-firebird
%extension_scripts pdo-mysql
%extension_scripts pdo-odbc
%extension_scripts pdo-pgsql
%extension_scripts pdo-sqlite
%extension_scripts pgsql
%extension_scripts posix
%extension_scripts pspell
%extension_scripts recode
%extension_scripts shmop
%extension_scripts snmp
%extension_scripts soap
%extension_scripts sockets
%extension_scripts sqlite
%extension_scripts sybase
%extension_scripts sybase-ct
%extension_scripts sysvmsg
%extension_scripts sysvsem
%extension_scripts sysvshm
%extension_scripts tidy
%extension_scripts tokenizer
%extension_scripts wddx
%extension_scripts xml
%extension_scripts xmlreader
%extension_scripts xmlrpc
%extension_scripts xmlwriter
%extension_scripts xsl
%extension_scripts zip
%extension_scripts zlib

%triggerun bcmath -- %{name}-bcmath < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*bcmath\.so/d' %{php_sysconfdir}/php.ini

%triggerun bzip2 -- %{name}-bzip2 < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*bzip2\.so/d' %{php_sysconfdir}/php.ini

%triggerun calendar -- %{name}-calendar < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*calendar\.so/d' %{php_sysconfdir}/php.ini

%triggerun ctype -- %{name}-ctype < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ctype\.so/d' %{php_sysconfdir}/php.ini

%triggerun curl -- %{name}-curl < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*curl\.so/d' %{php_sysconfdir}/php.ini

%triggerun dba -- %{name}-dba < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*dba\.so/d' %{php_sysconfdir}/php.ini

%triggerun dbase -- %{name}-dbase < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*dbase\.so/d' %{php_sysconfdir}/php.ini

%triggerun dom -- %{name}-dom < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*dom\.so/d' %{php_sysconfdir}/php.ini

%triggerun exif -- %{name}-exif < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*exif\.so/d' %{php_sysconfdir}/php.ini

%triggerun fdf -- %{name}-fdf < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*fdf\.so/d' %{php_sysconfdir}/php.ini

%triggerun ftp -- %{name}-ftp < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ftp\.so/d' %{php_sysconfdir}/php.ini

%triggerun gd -- %{name}-gd < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*gd\.so/d' %{php_sysconfdir}/php.ini

%triggerun gettext -- %{name}-gettext < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*gettext\.so/d' %{php_sysconfdir}/php.ini

%triggerun gmp -- %{name}-gmp < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*gmp\.so/d' %{php_sysconfdir}/php.ini

%triggerun iconv -- %{name}-iconv < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*iconv\.so/d' %{php_sysconfdir}/php.ini

%triggerun imap -- %{name}-imap < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*imap\.so/d' %{php_sysconfdir}/php.ini

%triggerun interbase -- %{name}-interbase < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*interbase\.so/d' %{php_sysconfdir}/php.ini

%triggerun ldap -- %{name}-ldap < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ldap\.so/d' %{php_sysconfdir}/php.ini

%triggerun mbstring -- %{name}-mbstring < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mbstring\.so/d' %{php_sysconfdir}/php.ini

%triggerun mcrypt -- %{name}-mcrypt < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mcrypt\.so/d' %{php_sysconfdir}/php.ini

%triggerun mhash -- %{name}-mhash < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mhash\.so/d' %{php_sysconfdir}/php.ini

%triggerun mime_magic -- %{name}-mime_magic < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mime_magic\.so/d' %{php_sysconfdir}/php.ini

%triggerun ming -- %{name}-ming < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ming\.so/d' %{php_sysconfdir}/php.ini

%triggerun mssql -- %{name}-mssql < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mssql\.so/d' %{php_sysconfdir}/php.ini

%triggerun mysql -- %{name}-mysql < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mysql\.so/d' %{php_sysconfdir}/php.ini

%triggerun ncurses -- %{name}-ncurses < 4:5.1.2-9.5
if [ -f %{php_sysconfdir}/php-cgi.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ncurses\.so/d' %{php_sysconfdir}/php-cgi.ini
fi
if [ -f %{php_sysconfdir}/php-cli.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*ncurses\.so/d' %{php_sysconfdir}/php-cli.ini
fi

%triggerun mysqli -- %{name}-mysqli < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*mysqli\.so/d' %{php_sysconfdir}/php.ini

%triggerun oci8 -- %{name}-oci8 < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*oci8\.so/d' %{php_sysconfdir}/php.ini

%triggerun odbc -- %{name}-odbc < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*odbc\.so/d' %{php_sysconfdir}/php.ini

%triggerun openssl -- %{name}-openssl < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*openssl\.so/d' %{php_sysconfdir}/php.ini

%triggerun pcntl -- %{name}-pcntl < 4:5.1.2-9.5
if [ -f %{php_sysconfdir}/php-cgi.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pcntl\.so/d' %{php_sysconfdir}/php-cgi.ini
fi
if [ -f %{php_sysconfdir}/php-cli.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pcntl\.so/d' %{php_sysconfdir}/php-cli.ini
fi

%triggerun pgsql -- %{name}-pgsql < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pgsql\.so/d' %{php_sysconfdir}/php.ini

%triggerun posix -- %{name}-posix < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*posix\.so/d' %{php_sysconfdir}/php.ini

%triggerun pspell -- %{name}-pspell < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*pspell\.so/d' %{php_sysconfdir}/php.ini

%triggerun readline -- %{name}-readline < 4:5.1.2-9.5
if [ -f %{php_sysconfdir}/php-cgi.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*readline\.so/d' %{php_sysconfdir}/php-cgi.ini
fi
if [ -f %{php_sysconfdir}/php-cli.ini ]; then
	%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*readline\.so/d' %{php_sysconfdir}/php-cli.ini
fi

%triggerun recode -- %{name}-recode < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*recode\.so/d' %{php_sysconfdir}/php.ini

%triggerun shmop -- %{name}-shmop < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*shmop\.so/d' %{php_sysconfdir}/php.ini

%triggerun snmp -- %{name}-snmp < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*snmp\.so/d' %{php_sysconfdir}/php.ini

%triggerun soap -- %{name}-soap < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*soap\.so/d' %{php_sysconfdir}/php.ini

%triggerun sockets -- %{name}-sockets < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sockets\.so/d' %{php_sysconfdir}/php.ini

%triggerun sqlite -- %{name}-sqlite < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sqlite\.so/d' %{php_sysconfdir}/php.ini

%triggerun sybase -- %{name}-sybase < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sybase\.so/d' %{php_sysconfdir}/php.ini

%triggerun sybase-ct -- %{name}-sybase-ct < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sybase-ct\.so/d' %{php_sysconfdir}/php.ini

%triggerun sysvmsg -- %{name}-sysvmsg < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sysvmsg\.so/d' %{php_sysconfdir}/php.ini

%triggerun sysvsem -- %{name}-sysvsem < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sysvsem\.so/d' %{php_sysconfdir}/php.ini

%triggerun sysvshm -- %{name}-sysvshm < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*sysvshm\.so/d' %{php_sysconfdir}/php.ini

%triggerun tidy -- %{name}-tidy < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*tidy\.so/d' %{php_sysconfdir}/php.ini

%triggerun wddx -- %{name}-wddx < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*wddx\.so/d' %{php_sysconfdir}/php.ini

%triggerun xml -- %{name}-xml < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*xml\.so/d' %{php_sysconfdir}/php.ini

%triggerun xmlrpc -- %{name}-xmlrpc < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*xmlrpc\.so/d' %{php_sysconfdir}/php.ini

%triggerun xsl -- %{name}-xsl < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*xsl\.so/d' %{php_sysconfdir}/php.ini

%triggerun zlib -- %{name}-zlib < 4:5.0.4-9.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*zlib\.so/d' %{php_sysconfdir}/php.ini

%if %{with apache1}
%files -n apache1-mod_php
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/apache/conf.d/*_mod_php.conf
%dir %{php_sysconfdir}/apache.d
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/php-apache.ini
%attr(755,root,root) %{_libdir}/apache1/libphp5.so
/home/services/apache/icons/*
%endif

%if %{with apache2}
%files -n apache-mod_php
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/httpd/httpd.conf/*_mod_php.conf
%dir %{php_sysconfdir}/apache2handler.d
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/php-apache2handler.ini
%attr(755,root,root) %{_libdir}/apache/libphp5.so
/home/services/httpd/icons/*
%endif

%if %{with fcgi}
%files fcgi
%defattr(644,root,root,755)
%doc sapi/cgi/README.FastCGI
%dir %{php_sysconfdir}/cgi-fcgi.d
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/php-cgi-fcgi.ini
%attr(755,root,root) %{_bindir}/php.fcgi
%endif

%files cgi
%defattr(644,root,root,755)
%dir %{php_sysconfdir}/cgi.d
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/php-cgi.ini
%attr(755,root,root) %{_bindir}/php.cgi

%files cli
%defattr(644,root,root,755)
%dir %{php_sysconfdir}/cli.d
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/php-cli.ini
%attr(755,root,root) %{_bindir}/php.cli
%{_mandir}/man1/php.1*
%{_mandir}/man1/php.cli.1*

%files program
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/php

%files common
%defattr(644,root,root,755)
%doc php.ini-*
%doc CREDITS Zend/ZEND_CHANGES
%doc LICENSE Zend/LICENSE.Zend EXTENSIONS NEWS TODO*
%doc README.PHP4-TO-PHP5-THIN-CHANGES README.UPDATE_5_2

%dir %{php_sysconfdir}
%dir %{php_sysconfdir}/conf.d
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/php.ini
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/browscap.ini
%attr(755,root,root) %{_libdir}/libphp_common-*.so
%dir %{php_extensiondir}

%doc ext/session/mod_files.sh

%files devel
%defattr(644,root,root,755)
%doc README.UNIX-BUILD-SYSTEM
%doc README.EXT_SKEL README.SELF-CONTAINED-EXTENSIONS
%doc CODING_STANDARDS README.EXTENSIONS README.PARAMETER_PARSING_API README.STREAMS
%doc README.SUBMITTING_PATCH README.TESTING README.TESTING2
%attr(755,root,root) %{_bindir}/phpize
%attr(755,root,root) %{_bindir}/php-config
%attr(755,root,root) %{_libdir}/libphp_common.so
%{_libdir}/libphp_common.la
%{_includedir}/php
%{_libdir}/php/build
%{_mandir}/man1/*

%files bcmath
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/bcmath.ini
%attr(755,root,root) %{php_extensiondir}/bcmath.so

%files bzip2
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/bz2.ini
%attr(755,root,root) %{php_extensiondir}/bz2.so

%files calendar
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/calendar.ini
%attr(755,root,root) %{php_extensiondir}/calendar.so

%files ctype
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/ctype.ini
%attr(755,root,root) %{php_extensiondir}/ctype.so

%if %{with curl}
%files curl
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/curl.ini
%attr(755,root,root) %{php_extensiondir}/curl.so
%endif

%files dba
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/dba.ini
%attr(755,root,root) %{php_extensiondir}/dba.so

%files dbase
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/dbase.ini
%attr(755,root,root) %{php_extensiondir}/dbase.so

%files dom
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/dom.ini
%attr(755,root,root) %{php_extensiondir}/dom.so

%if %{with fdf}
%files fdf
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/fdf.ini
%attr(755,root,root) %{php_extensiondir}/fdf.so
%endif

%if %{with filter}
%files filter
%defattr(644,root,root,755)
%doc README.input_filter
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/filter.ini
%attr(755,root,root) %{php_extensiondir}/filter.so
%endif

%files exif
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/exif.ini
%attr(755,root,root) %{php_extensiondir}/exif.so

%files ftp
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/ftp.ini
%attr(755,root,root) %{php_extensiondir}/ftp.so

%files gd
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/gd.ini
%attr(755,root,root) %{php_extensiondir}/gd.so

%files gettext
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/gettext.ini
%attr(755,root,root) %{php_extensiondir}/gettext.so

%files gmp
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/gmp.ini
%attr(755,root,root) %{php_extensiondir}/gmp.so

%files hash
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/hash.ini
%attr(755,root,root) %{php_extensiondir}/hash.so

%files iconv
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/iconv.ini
%attr(755,root,root) %{php_extensiondir}/iconv.so

%if %{with imap}
%files imap
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/imap.ini
%attr(755,root,root) %{php_extensiondir}/imap.so
%endif

%if %{with interbase}
%files interbase
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/interbase.ini
%attr(755,root,root) %{php_extensiondir}/interbase.so
%endif

%files json
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/json.ini
%attr(755,root,root) %{php_extensiondir}/json.so

%if %{with ldap}
%files ldap
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/ldap.ini
%attr(755,root,root) %{php_extensiondir}/ldap.so
%endif

%files mbstring
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/mbstring.ini
%attr(755,root,root) %{php_extensiondir}/mbstring.so

%files mcrypt
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/mcrypt.ini
%attr(755,root,root) %{php_extensiondir}/mcrypt.so

%if %{with mhash}
%files mhash
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/mhash.ini
%attr(755,root,root) %{php_extensiondir}/mhash.so
%endif

%if %{with mime_magic}
%files mime_magic
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/mime_magic.ini
%attr(755,root,root) %{php_extensiondir}/mime_magic.so
%endif

%if %{with ming}
%files ming
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/ming.ini
%attr(755,root,root) %{php_extensiondir}/ming.so
%endif

%if %{with mssql}
%files mssql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/mssql.ini
%attr(755,root,root) %{php_extensiondir}/mssql.so
%endif

%files mysql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/mysql.ini
%attr(755,root,root) %{php_extensiondir}/mysql.so

%if %{with mysqli}
%files mysqli
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/mysqli.ini
%attr(755,root,root) %{php_extensiondir}/mysqli.so
%endif

%files ncurses
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/cli.d/ncurses.ini
%attr(755,root,root) %{php_extensiondir}/ncurses.so

%if %{with oci8}
%files oci8
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/oci8.ini
%attr(755,root,root) %{php_extensiondir}/oci8.so
%endif

%if %{with odbc}
%files odbc
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/odbc.ini
%attr(755,root,root) %{php_extensiondir}/odbc.so
%endif

%if %{with openssl}
%files openssl
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/openssl.ini
%attr(755,root,root) %{php_extensiondir}/openssl.so
%endif

%files pcntl
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/cli.d/pcntl.ini
%attr(755,root,root) %{php_extensiondir}/pcntl.so

%files pdo
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/pdo.ini
%attr(755,root,root) %{php_extensiondir}/pdo.so

%if %{with mssql} || %{with sybase} || %{with sybase_ct}
%files pdo-dblib
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/pdo_dblib.ini
%attr(755,root,root) %{php_extensiondir}/pdo_dblib.so
%endif

%if %{with interbase} && !%{with interbase_inst}
%files pdo-firebird
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/pdo_firebird.ini
%attr(755,root,root) %{php_extensiondir}/pdo_firebird.so
%endif

%files pdo-mysql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/pdo_mysql.ini
%attr(755,root,root) %{php_extensiondir}/pdo_mysql.so

%if %{with oci8}
%files pdo-oci
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/pdo_oci.ini
%attr(755,root,root) %{php_extensiondir}/pdo_oci.so
%endif

%if %{with odbc}
%files pdo-odbc
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/pdo_odbc.ini
%attr(755,root,root) %{php_extensiondir}/pdo_odbc.so
%endif

%if %{with pgsql}
%files pdo-pgsql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/pdo_pgsql.ini
%attr(755,root,root) %{php_extensiondir}/pdo_pgsql.so
%endif

%if %{with sqlite}
%files pdo-sqlite
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/pdo_sqlite.ini
%attr(755,root,root) %{php_extensiondir}/pdo_sqlite.so
%endif

%if %{with pgsql}
%files pgsql
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/pgsql.ini
%attr(755,root,root) %{php_extensiondir}/pgsql.so
%endif

%files posix
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/posix.ini
%attr(755,root,root) %{php_extensiondir}/posix.so

%if %{with pspell}
%files pspell
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/pspell.ini
%attr(755,root,root) %{php_extensiondir}/pspell.so
%endif

%files readline
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/cli.d/readline.ini
%attr(755,root,root) %{php_extensiondir}/readline.so

%if %{with recode}
%files recode
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/recode.ini
%attr(755,root,root) %{php_extensiondir}/recode.so
%endif

%if 0
# simplexml is needed by spl, and spl can't be built shared as of now (5.2.0)
# simplexml can be built shared, but SPL startup fails
# we could add R: -simplexml to -common...
%files simplexml
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/simplexml.ini
%attr(755,root,root) %{php_extensiondir}/simplexml.so
%endif

%files shmop
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/shmop.ini
%attr(755,root,root) %{php_extensiondir}/shmop.so

%if %{with snmp}
%files snmp
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/snmp.ini
%attr(755,root,root) %{php_extensiondir}/snmp.so
%endif

%files soap
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/soap.ini
%attr(755,root,root) %{php_extensiondir}/soap.so

%files sockets
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/sockets.ini
%attr(755,root,root) %{php_extensiondir}/sockets.so

%if %{with sqlite}
%files sqlite
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/sqlite.ini
%attr(755,root,root) %{php_extensiondir}/sqlite.so
%endif

%if %{with sybase}
%files sybase
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/sybase.ini
%attr(755,root,root) %{php_extensiondir}/sybase.so
%endif

%if %{with sybase_ct}
%files sybase-ct
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/sybase_ct.ini
%attr(755,root,root) %{php_extensiondir}/sybase_ct.so
%endif

%files sysvmsg
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/sysvmsg.ini
%attr(755,root,root) %{php_extensiondir}/sysvmsg.so

%files sysvsem
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/sysvsem.ini
%attr(755,root,root) %{php_extensiondir}/sysvsem.so

%files sysvshm
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/sysvshm.ini
%attr(755,root,root) %{php_extensiondir}/sysvshm.so

%if %{with tidy}
%files tidy
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/tidy.ini
%attr(755,root,root) %{php_extensiondir}/tidy.so
%endif

%files tokenizer
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/tokenizer.ini
%attr(755,root,root) %{php_extensiondir}/tokenizer.so

%if %{with wddx}
%files wddx
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/*wddx.ini
%attr(755,root,root) %{php_extensiondir}/wddx.so
%endif

%files xml
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/xml.ini
%attr(755,root,root) %{php_extensiondir}/xml.so

%files xmlreader
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/xmlreader.ini
%attr(755,root,root) %{php_extensiondir}/xmlreader.so

%if %{with xmlrpc}
%files xmlrpc
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/xmlrpc.ini
%attr(755,root,root) %{php_extensiondir}/xmlrpc.so
%endif

%files xmlwriter
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/xmlwriter.ini
%attr(755,root,root) %{php_extensiondir}/xmlwriter.so

%files xsl
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/xsl.ini
%attr(755,root,root) %{php_extensiondir}/xsl.so

%files zip
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/zip.ini
%attr(755,root,root) %{php_extensiondir}/zip.so

%files zlib
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/zlib.ini
%attr(755,root,root) %{php_extensiondir}/zlib.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php.spec,v $
Revision 1.631.2.26  2007/03/18 15:33:57  glen
- rel 6 (curl)

Revision 1.631.2.25  2007/03/18 00:27:10  glen
- rel 5

Revision 1.631.2.24  2007/03/18 00:26:41  glen
- rel 4

Revision 1.631.2.23  2007/03/06 18:32:31  glen
- rel 3

Revision 1.631.2.22  2007/03/06 17:41:44  glen
- quickfix -lpthread for apache1 module

Revision 1.631.2.21  2007/02/25 02:14:13  glen
- rel 2

Revision 1.631.2.20  2007/02/22 18:44:32  glen
- HEAD merge:
- php-sybase and php-sybase-ct conflict each other. "Obsoletes" is not
  enough to prevent simultaneous installation of both.

Revision 1.631.2.19  2007/02/21 22:22:19  blues
- provides/obsoletes for smooth upgrade

Revision 1.631.2.18  2007/02/19 12:12:38  glen
- define _sysconfdir to php_sysconfdir; php-config depends on that

Revision 1.631.2.17  2007/02/19 12:02:27  glen
- HEAD merge

Revision 1.631.2.16  2007/02/12 19:34:22  blues
- imagerotate is back - if php4 has problem with new gd should be fixed...
  php5 stripping is not wise...

Revision 1.631.2.15  2007/02/12 09:26:21  glen
- builds with hacks

Revision 1.631.2.14  2007/02/09 09:34:48  glen
- 5.2.1, but threading libs not found

Revision 1.631.2.13  2007/01/11 00:23:33  glen
- README.input_filter moved to -filter

Revision 1.631.2.12  2007/01/10 14:05:49  glen
- updated exif corruption patch; rel 11

Revision 1.631.2.11  2007/01/09 17:34:55  glen
- bug #40073 fix; rel 10

Revision 1.631.2.10  2007/01/07 22:55:58  glen
- Obsoletes: php-pecl-hash; rel 9

Revision 1.631.2.9  2007/01/04 13:16:02  glen
- install headers needed by php-pecl-mailparse; rel 8

Revision 1.631.2.8  2006/12/31 18:23:07  hawk
- oops, forgot to comment out gd_imagerotate_enable.patch

Revision 1.631.2.7  2006/12/31 18:15:05  hawk
- reverted, related gd change breaks php4.spec:
  updated gd_imagerotate_enable patch, use "gd(imagerotate) = 5.2.0" deps
- release 7

Revision 1.631.2.6  2006/12/31 16:19:53  hawk
- release 6, rebuild with new imap 2006d

Revision 1.631.2.5  2006/12/28 13:53:29  glen
- HEAD merge (qboosh):
  - updated gd_imagerotate_enable patch, use "gd(imagerotate) = 5.2.0" deps
  - dropped db3 bcond and allow-db31 patch
  - fixed link-libs patch; EXTRA_LIBS line is MUCH shorter now
  - rel 5

Revision 1.631.2.4  2006/12/20 11:54:13  glen
- add more doc files

Revision 1.631.2.3  2006/12/20 08:34:44  hawk
- release 4 to rebuild with PostgreSQL 8.2

Revision 1.631.2.2  2006/12/14 00:31:38  glen
- merged obsoletes for php-pecl-filter, php-pecl-json, php-pecl-xmlwriter, php-pecl-zip from HEAD
- added --sysconfdir to php-config

Revision 1.631.2.1  2006/12/13 21:10:46  glen
- interbase on for AC

Revision 1.631  2006/12/07 18:15:10  arekm
- rel 1

Revision 1.630  2006/12/05 23:15:23  glen
- todo cleanup

Revision 1.629  2006/12/03 13:48:00  arekm
- rebuild

Revision 1.628  2006/12/01 11:00:08  arekm
- rel 0.23

Revision 1.627  2006/11/28 07:51:03  glen
- rename amd64.patch to memory-limit.patch as it affects also alpha

Revision 1.626  2006/11/26 15:36:23  glen
- fix conflicts

Revision 1.625  2006/11/26 15:14:01  glen
- conflict on php4-common package to prevent breaking partially updated systems

Revision 1.624  2006/11/26 13:20:40  glen
- drop the name based extension provides
- obsolete php-pcre package
- add virtual provides date, reflection to static extensions

Revision 1.623  2006/11/22 11:35:08  glen
- add filter bcond to simplify configure line

Revision 1.622  2006/11/22 11:32:33  glen
- sort extension bconds alphabetically

Revision 1.621  2006/11/22 09:31:49  qboosh
- cosmetics

Revision 1.620  2006/11/22 09:31:14  qboosh
- cosmetics

Revision 1.619  2006/11/22 09:29:16  qboosh
- pl update

Revision 1.618  2006/11/21 22:55:01  qboosh
- no more phpfi

Revision 1.617  2006/11/21 22:49:51  qboosh
- added sh patch to fix build with ksh+autoconf 2.60
- added curl patch to fix build with curl 7.16
- added db4.5 patch to prefer db4.5 > db4.4 > older versions

Revision 1.616  2006/11/19 23:06:38  glen
- msession was removed in 5.1.3

Revision 1.615  2006/11/19 23:03:00  glen
- filter extension built as shared

Revision 1.614  2006/11/19 22:37:20  glen
- simplify extension script macros
- add scripts for hash, json, xmlwriter

Revision 1.613  2006/11/19 22:12:52  glen
- hash, json, xmlwriter are shared extensions now

Revision 1.612  2006/11/19 21:46:06  glen
- json is compiled statically...

Revision 1.611  2006/11/15 21:21:54  qboosh
- typo

Revision 1.610  2006/11/15 12:05:47  glen
- use correct source and rename to browscap.ini

Revision 1.609  2006/11/14 22:08:32  blues
- added php_browscap.ini

Revision 1.608  2006/11/13 15:01:54  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.607  2006/11/12 16:47:12  glen
- there's no main package

Revision 1.606  2006/11/09 00:15:40  glen
- added php(extension) provides for extensions

Revision 1.605  2006/11/09 00:04:48  glen
- add back R: gd(gif)

Revision 1.604  2006/11/08 23:53:44  glen
- drop also %post/%postun of session

Revision 1.603  2006/11/08 23:48:15  glen
- session doesn't exist as subpackage

Revision 1.602  2006/11/08 23:46:27  glen
- drop php-gd(gif) provides (nothing uses it)

Revision 1.601  2006/11/08 14:37:13  glen
- extensions do not have post,preun scripts

Revision 1.600  2006/11/08 14:35:18  glen
- drop -reflection.patch (arekm said it was just compile fix)
- use -cli instead of -program in pncntl deps

Revision 1.599  2006/11/07 20:20:45  qboosh
- more verbose mime_magic comment

Revision 1.598  2006/11/03 09:16:23  glen
- no obsoletes until there's solution

Revision 1.597  2006/11/03 00:31:48  glen
- -zip package based on php-pecl-zip

Revision 1.596  2006/11/03 00:28:17  glen
- removed dropped files, cleanups
- filter depends on pcre
- enable zip extension (shared)
- tested that php can be compiled without pcre

Revision 1.595  2006/11/02 23:37:53  glen
- ini-search-path.patch resolved upstream

Revision 1.594  2006/11/02 22:33:16  glen
- hwapi, filepro have been dropped
- pcre compiled statically as -common depends on it's symbols
- two patches todo

Revision 1.593  2006/11/02 19:13:36  glen
- 5.2.0 tarball fetch

Revision 1.592  2006/11/01 16:45:47  glen
- Provide php-overload for the sake of simplier deps

Revision 1.591  2006/09/30 22:17:14  arekm
- rebuild with new db4.5

Revision 1.590  2006/09/05 09:30:04  glen
- merge from AC-branch: install ext/pcre/php_pcre.h

Revision 1.589  2006/09/05 09:14:25  glen
- 5.1.6: bugfix release of memory_limit on 64bit systems

Revision 1.588  2006/08/24 15:45:50  glen
- drop FAQ.php (contains text What is PHP3). thx zod

Revision 1.587  2006/08/19 10:05:27  adamg
- Source0-md5 updated

Revision 1.586  2006/08/19 09:53:08  adamg
- updated to 5.1.5
- dropped substr_compare.patch (already applied)

Revision 1.585  2006/08/10 07:19:31  arekm
- rel 5; fixes for as-needed

Revision 1.584  2006/08/09 07:00:36  arekm
- rel 4

Revision 1.583  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.582  2006/06/22 13:10:13  arekm
- fix bug 37394

Revision 1.581  2006/06/21 12:15:32  arekm
- rel 3.1; soap fix with libxml2 >= 2.6.24; fix if conditional

Revision 1.580  2006/06/20 12:51:33  glen
- use more memory on amd64 (php.ini setting)

Revision 1.579  2006/06/18 21:52:24  glen
- reverted, commited to wrong branch

Revision 1.578  2006/06/18 21:51:26  glen
- AC-branch moved

Revision 1.577  2006/06/18 10:44:06  glen
- /usr/share/php already in php-dirs pkg, rel 3

Revision 1.576  2006/05/26 09:05:52  hawk
- added fix for CLI SEGVs with tidy or sybase_ct enabled
- renumbered patches, cleanup
- release 2

Revision 1.575  2006/05/08 18:04:29  glen
- openssl-huge-hack.patch dropped (unable to reproduce)
- rel 1

Revision 1.574  2006/05/04 06:22:42  adamg
- updated to 5.1.4 (broke POST arrays issue fixed - see bug37276:
  http://bugs.php.net/bug.php?id=37276)

Revision 1.573  2006/05/02 14:21:49  glen
- update to 5.1.3, ext/msession was moved to pecl

Revision 1.572  2006/04/27 19:15:41  glen
- rel 11

Revision 1.571  2006/04/20 20:54:08  glen
- hack installed acinclude.m4
- remove evil rpaths from installed libphp_common.la

Revision 1.570  2006/04/20 19:48:23  glen
- don't mungle build files

Revision 1.569  2006/04/19 16:43:03  adamg
- fix for two security issues: XSS in phpinfo() and binary safeness in
  html_decode

Revision 1.568  2006/04/16 00:47:36  glen
- build cleanups, use permanent config.cache if configured
- CFLAGS mungling unneccessary, all goes via apxs

Revision 1.567  2006/04/16 00:30:58  glen
- renumber sources

Revision 1.566  2006/04/16 00:28:41  glen
- search additionally for .ini files from PHP_CONFIG_FILE_PATH/SAPI.d directory
- drop php4-module-install, use sed directly in triggers

Revision 1.565  2006/04/16 00:00:43  glen
- virtual php(program) dropped, use /usr/bin/php only

Revision 1.564  2006/04/15 23:05:56  glen
- versioning bcond
- clean linkflags from CFLAGS

Revision 1.563  2006/04/01 17:34:06  glen
- obsolete PDO* for pdo packages (they are the same, pecl ones are usually way behind)
- rel 8

Revision 1.562  2006/03/28 18:23:59  arekm
- disable interbase/firebird for now; it's in bad shape in Th

Revision 1.561  2006/03/24 20:27:06  glen
- build doesn't use perl directly

Revision 1.560  2006/03/23 19:45:24  qboosh
- sorted module bconds, strict internal php-dom dep

Revision 1.559  2006/03/23 18:44:21  glen
- tmpwatch and common dirs moved to php-dirs package, rel 7

Revision 1.558  2006/03/22 23:56:44  glen
- 5.1.2 resolves CVE-2006-0207, CVE-2006-0208

Revision 1.557  2006/03/22 23:25:14  blues
- typo

Revision 1.556  2006/03/22 22:29:33  blues
- clean temporary php files moved from tmpwatch spec

Revision 1.555  2006/03/14 11:26:22  spider
- php-xmlreader require php-dom
- pointed by Lukasz Klimek

Revision 1.554  2006/01/25 11:26:45  arekm
- rel 6; nasty hack for pgsql+curl problem

Revision 1.553  2006/01/24 18:18:39  qboosh
- updated pl

Revision 1.552  2006/01/24 16:24:55  glen
- it's no longer use with apache only

Revision 1.551  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.550  2006/01/20 21:16:52  glen
- R: mod_mime for apache module; rel 5, STBR

Revision 1.549  2006/01/17 16:38:12  glen
- stop windows behaviour: prevent php.ini being parsed from ./ and /usr/bin in
  cli sapi. see also php#34793
- rel 4

Revision 1.548  2006/01/17 15:58:22  baggins
- release 3
- BR openldap 2.3

Revision 1.547  2006/01/17 14:53:27  glen
- package ext/session/mod_files.sh

Revision 1.546  2006/01/16 19:12:38  arekm
- rel 2; enable reflection (static)

Revision 1.545  2006/01/14 09:39:28  glen
- b! nice, ever

Revision 1.544  2006/01/12 22:01:39  glen
- fix older triggers
- --enable-inline-optimization for faster code

Revision 1.543  2006/01/12 16:53:06  arekm
- updated to 5.1.2 [resolves CVE-2006-0207, CVE-2006-0208]

Revision 1.542  2006/01/09 19:00:04  qboosh
- pl for -pdo-firebird

Revision 1.541  2006/01/07 23:41:28  glen
- apache modules api dep should be sufficent

Revision 1.540  2006/01/06 18:22:56  glen
- make getimagesize() work for compressed .swf without static zlib extension. php-common was already linked with -lz
- BR: sqlite3-devel as pdo-sqlite appears to require v3

Revision 1.539  2006/01/03 14:39:51  arekm
- up to 5.1.2 snap; 5.1.1 is too broken

Revision 1.538  2006/01/01 23:25:01  glen
- package pdo_firebird
- link pdo-sqlite with shared sqlite
- link mbstring with shared libmbfl

Revision 1.537  2006/01/01 14:26:32  glen
- sqlite ext links with pdo symbols. bug?

Revision 1.536  2005/12/30 19:07:42  glen
- pdo_firebird files not packaged (add TODO)

Revision 1.535  2005/12/30 18:36:42  glen
- disable --enable-zend-multibyte, fixes apache1 module; rel 6

Revision 1.534  2005/12/29 17:08:42  glen
- sorted preambles, killed pointless obsolete

Revision 1.533  2005/12/29 15:29:13  adamg
- Obsoletes: php-pecl-domxml (broken and unsupported)

Revision 1.532  2005/12/25 21:25:51  glen
- rel 5 to rebuild with interbase

Revision 1.531  2005/12/25 21:01:44  glen
- dbx pecl was present
- dio pecl created from cvs

Revision 1.530  2005/12/25 20:27:50  glen
- todo cleanup (--enable-versioning does not work with shared modules and probably never will)

Revision 1.529  2005/12/25 20:19:06  glen
- created mnogosearch ext as separate spec

Revision 1.528  2005/12/24 17:52:09  qboosh
- reenabled interbase module
- oracle module is gone; there is pdo_oci, not pdo_oracle
- release 4

Revision 1.527  2005/12/23 22:55:58  qboosh
- one more module removed in 5.1

Revision 1.526  2005/12/23 22:41:07  qboosh
- noted more modules removed to deal with

Revision 1.525  2005/12/23 14:50:03  qboosh
- more pl, pl fixes

Revision 1.524  2005/12/21 23:11:29  glen
- require apache >= 2.2 to prevent php module triggering partial apache upgrade; rel 3

Revision 1.523  2005/12/21 21:55:52  glen
- remove pointless provide on php-common (apache modules dep is on apache specific package)

Revision 1.522  2005/12/21 17:09:16  arekm
- rel 2

Revision 1.521  2005/12/21 12:41:58  arekm
- drop one more patch

Revision 1.520  2005/12/21 11:47:17  arekm
- rel 1; drop obsolete patches

Revision 1.519  2005/12/18 22:28:27  glen
- adapterized

Revision 1.518  2005/12/18 22:25:42  glen
- switch order of autotools and buildconf invocation; builds now

Revision 1.517  2005/12/18 20:57:41  glen
- restored few lost changes with DEVEL merge

Revision 1.516  2005/12/15 13:20:03  arekm
- moved from DEVEL

Revision 1.515  2005/12/13 15:59:58  glen
- adapterized (sorted %verify attrs)

Revision 1.514  2005/12/09 23:31:54  glen
- backported php-cli -dextension loading behaviour from 5.1; rel 19

Revision 1.513  2005/12/02 14:07:41  glen
- add P: php to -fcgi package
- remove Obsoletes which prevented apache1/apache package simulatenous install (no longer needed either)
- rel 18

Revision 1.512  2005/11/24 10:17:27  arekm
- xml needs to be loaded before wddx

Revision 1.511  2005/11/16 11:07:20  arekm
- rel 17; fix bug 33720 (mbstring)

Revision 1.510  2005/11/08 18:34:21  glen
- fix #35009: ZTS: Persistent resource destruct crashes when extension is compiled as shared
- rel 16

Revision 1.509  2005/11/07 09:30:01  ankry
- added man redirection, rel. 15

Revision 1.508  2005/11/02 18:59:05  glen
- use system automake, shtool, libtool for -devel

Revision 1.507  2005/10/29 17:16:07  qboosh
- pl for -program

Revision 1.506  2005/10/29 13:42:13  glen
- created -program package which will be providing /usr/bin/php symlink; rel 14

Revision 1.505  2005/10/29 13:37:36  arekm
- correct zend_extension_api error message.

Revision 1.504  2005/10/29 00:35:50  glen
- rel 13

Revision 1.503  2005/10/28 19:00:07  glen
- add snapshot build support
- add zts and mime_magic bconds

Revision 1.502  2005/10/27 15:28:11  glen
- add Provides php(debug) and php(thread-safety) provides in -common; rel 12

Revision 1.501  2005/10/26 12:40:44  glen
- add README.FastCGI to fcgi package %doc

Revision 1.500  2005/10/20 10:20:21  qboosh
- reenabled Firebird for Ac

Revision 1.499  2005/10/17 16:44:20  glen
- (paralyzed) --with-pear is back for the sake of include_path; rel 11

Revision 1.498  2005/10/15 13:06:09  glen
- provides for extensions that are compiled statically into libphp-common (for PEAR packages); rel 10

Revision 1.497  2005/10/09 21:28:29  glen
- without sqlite bcond

Revision 1.496  2005/10/09 21:01:16  glen
- disable pear completely
- require at least one apache SAPI to build shared moules

Revision 1.495  2005/10/09 19:43:25  glen
- ftp extension & ssl linkage is fixed

Revision 1.494  2005/10/09 16:35:27  glen
- partial sort BR

Revision 1.493  2005/10/09 16:29:44  glen
- adapterized

Revision 1.492  2005/10/09 16:18:45  glen
- drop PreReq, pearprov

Revision 1.491  2005/10/06 22:17:51  glen
- todo for modularzation

Revision 1.490  2005/10/06 09:32:39  qboosh
- pl for -tokenizer

Revision 1.489  2005/10/06 09:21:56  glen
- rel 9

Revision 1.488  2005/10/04 14:26:41  glen
- move development docs to -devel, add more docs to devel

Revision 1.487  2005/10/04 14:22:20  glen
- build tokenizer extension as shared

Revision 1.486  2005/09/22 23:05:57  glen
- typo when fcgi bcond was not disabled

Revision 1.485  2005/09/22 22:58:57  glen
- fcgi bcond as requested by djurban

Revision 1.484  2005/09/19 23:17:53  glen
- add ssl link patch for ftp extension; rel 8

Revision 1.483  2005/09/17 11:55:06  arekm
- new readline, 5.0

Revision 1.482  2005/09/16 02:13:21  glen
- remove libphp5.la

Revision 1.481  2005/09/16 01:39:41  glen
- hardcode API versions into spec. reliable and works

Revision 1.480  2005/09/15 23:55:24  glen
- chasing the bug

Revision 1.479  2005/09/15 23:41:22  glen
- add debug on php_api_version and error check (as DEVEL is occupied using HEAD). rel 6

Revision 1.478  2005/09/14 15:25:17  adamg
- release 5

Revision 1.477  2005/09/14 14:19:35  adamg
- hardening patch updated to 5.0.5-0.4.3; -hardening-fix.patch disabled

Revision 1.476  2005/09/14 06:03:21  adamg
- possible fix for segfault when serializing objects (as described on
  pld-devel-pl)
- release 4.1

Revision 1.475  2005/09/13 20:45:25  glen
- fresh use rpmbuild macros; rel 4

Revision 1.474  2005/09/13 19:52:24  glen
- make it parse spec properly if source is not yet unpacked to extract API versions

Revision 1.473  2005/09/13 17:55:07  glen
- add API versions for php-common package (modules_api, zend_module_api, zend_extension_api)

Revision 1.472  2005/09/12 21:19:55  glen
- add /usr/share/php to php-common package for apps like jpgraph and phplib, rel 3; STBR

Revision 1.471  2005/09/10 20:15:20  arekm
- rel 2
- fix phpize in builddir.patch
- force-cgi-redirect enabled for cgi-like SAPIs
- enable zts mode for all SAPIs
- use php_config.h.fcgi.${sapi} instead of hardcoded CFLAGS
- install SAPI so's using libtool

Revision 1.470  2005/09/09 22:51:12  arekm
- rel 1

Revision 1.469  2005/09/06 21:49:40  adamg
- updated to 5.0.5
- some tweaks in %install/%files

Revision 1.468  2005/09/03 14:01:43  arekm
- system pcre

Revision 1.467  2005/08/23 10:31:11  glen
- rel 10 for finished conf.d support

Revision 1.466  2005/08/23 10:30:30  glen
- revert invalid last commit

Revision 1.464  2005/08/16 09:38:28  glen
- sed >= 4.0 for updated php-module-install

Revision 1.463  2005/08/16 09:28:52  glen
- apache packages split finished

Revision 1.462  2005/08/15 23:31:40  glen
- BR: rpm-build >= 4.4.0

Revision 1.461  2005/08/15 23:17:57  glen
- use %posttrans to minimize apache restarts (as rpm never promised
  ordering between install and erase, what in fact may change that
  ordering in order to run erasures in parallel with installs.)

Revision 1.460  2005/08/15 16:39:15  glen
- port changes fron php4.spec:
  - add conf.d support
  - minimize apache restarts
  - possibility to build both apache1/apache2 modules (unfinished due Obsolete not resolved)
- cut php 4.x changelog

Revision 1.459  2005/08/14 15:21:34  glen
- fix trigger epoch; rel 9, STBR

Revision 1.458  2005/08/05 17:06:10  hawk
- release 8 (non-integer release changes should work, same changes were
  already built in php4.spec and there were no complaints about them)

Revision 1.457  2005/07/24 21:43:05  glen
- fix trigger

Revision 1.456  2005/07/24 21:34:35  glen
- trigger for php-apache2handler.ini name change

Revision 1.455  2005/07/24 21:29:21  gotar
- use php-apache2handler.ini instead of php-apache.ini for apache2

Revision 1.454  2005/07/03 00:21:44  ankry
- tabs

Revision 1.453  2005/07/03 00:15:26  prism
- fixed some typos in hardening patch, now it builds

Revision 1.452  2005/07/02 20:17:17  prism
- Hardened-PHP is renamed to Hardening-Patch due to the PHP license
- s/hardened/hardening/ in bconds
- Hardening-Patch updated to 0.3.0

Revision 1.451  2005/06/19 16:21:14  glen
- enabled log_errors=On in php.ini
- rel 7
- STBR

Revision 1.450  2005/06/04 19:24:59  zergin
- added %post, %postun for php-tidy
- added R:tidy for php-tidy

Revision 1.449  2005/06/02 13:27:38  ankry
- fix bcond comment

Revision 1.448  2005/05/15 21:14:56  hawk
- release 6 to rebuild with new imap

Revision 1.447  2005/05/11 15:27:01  qboosh
- use x8664 macro

Revision 1.446  2005/05/07 21:27:43  glen
- ftp module TODO

Revision 1.445  2005/05/06 20:57:31  glen
- reverted

Revision 1.444  2005/05/06 20:52:23  glen
- workaround for php module needing openssl symbols. depend on php-openssl

Revision 1.443  2005/05/06 10:20:10  qboosh
- formatting once again, more general if

Revision 1.442  2005/05/03 11:41:41  mmazur
- typo

Revision 1.441  2005/05/03 11:35:20  mmazur
- rel 5; builds with gcc4

Revision 1.440  2005/05/03 00:37:12  mmazur
- Firebird's code looks like crap and gcc4 doesn't like it; disabling firebird
  support

Revision 1.439  2005/04/27 20:16:19  prism
- hardened php updated to 5.0.4-0.2.7

Revision 1.438  2005/04/27 14:48:19  hawk
- release 4

Revision 1.437  2005/04/20 18:39:15  qboosh
- release 3

Revision 1.436  2005/04/16 13:15:43  qboosh
- added comment to R

Revision 1.435  2005/04/16 13:14:05  qboosh
- strange SEGVs seem to be caused by dlclose() bugs in glibc <= 2.3.4 - R: glibc 2.3.5

Revision 1.434  2005/04/07 23:56:00  ankry
- cosmetics

Revision 1.433  2005/04/07 22:24:43  sardzent
- added missing Requires for php-snmp

Revision 1.432  2005/04/04 21:57:09  qboosh
- killed memory leak in sapi-ini-file patch
- added cpdf-fix patch to fix cpdf module linking (needs lib64 patch update)
- release 2.1

Revision 1.431  2005/04/04 20:44:24  qboosh
- more

Revision 1.430  2005/04/04 20:25:13  qboosh
- detected more bugs to do

Revision 1.429  2005/04/04 20:15:56  qboosh
- todo: cpdf module linking is broken

Revision 1.428  2005/04/04 20:03:11  qboosh
- removed obsolete wddx-fix patch; wddx now relies on XML API from xml module
  (which must be loaded before!)

Revision 1.427  2005/04/03 12:55:23  glen
- rel 2; STBR

Revision 1.426  2005/04/03 12:26:36  glen
- rel += .1

Revision 1.425  2005/04/03 12:25:30  glen
- apache1 as bcond

Revision 1.424  2005/04/03 10:45:38  qboosh
- don't use '\-' in regexp (just in case)

Revision 1.423  2005/03/31 23:48:25  adamg
- updated to 5.0.4

Revision 1.422  2005/03/31 09:02:16  qboosh
- Obsoletes for php-domxml (in last version from php.spec - not to obsolete php4 modules)

Revision 1.421  2005/03/31 08:49:39  matipl
- add Provides php-domxml (from php4 to compatible) for php-dom

Revision 1.420  2005/03/27 01:11:46  adamg
- updated to 5.0.4RC2

Revision 1.419  2005/03/20 15:38:51  undefine
- provide: php-common(apache-modules-api) = %{apache_modules_api}
  (some modules need use with php with the same apache_modules_api version,
  with they was compiled).

Revision 1.418  2005/03/15 17:38:02  adamg
- updated to 5.0.4RC1
- updated -lib64, -libtool, -sybase-fix and -threads-acfix patches
- dropped -phpize patch (already applied)
- release 0.1

Revision 1.417  2005/03/13 16:23:10  blues
- php-xsl obsoletes php-xslt

Revision 1.416  2005/03/09 23:14:55  arekm
- enable soap extension; comment about broken shared patch; epoch++ to be higher than on branch

Revision 1.415  2005/03/09 21:45:01  arekm
- enable soap (nfy)

Revision 1.414  2005/02/12 22:46:25  arekm
- rel ++

Revision 1.413  2005/02/10 22:10:21  adamg
- added install_gd_headers.patch (fixes build of php-pecl-pdflib)

Revision 1.412  2005/02/05 23:00:52  hawk
- release 3 to rebuild with new imap

Revision 1.411  2005/01/25 17:12:57  glen
- php-pear now available separately

Revision 1.410  2005/01/11 00:15:55  hawk
- release++ to rebuild with new imap

Revision 1.409  2005/01/07 21:11:28  arekm
- turn on mysqli by default

Revision 1.408  2004/12/28 16:04:15  glen
- fix apache1 build
- simplify apache2 vs apache1

Revision 1.407  2004/12/28 15:55:47  troll
- extended english and added polish description of mysqli

Revision 1.406  2004/12/28 14:40:05  glen
- added mysqli support

Revision 1.405  2004/12/26 20:16:08  qboosh
- added mail patch todo

Revision 1.404  2004/12/26 20:13:13  qboosh
- merges from php4: separate .ini source for fcgi, apache1 updates, cosmetics

Revision 1.403  2004/12/26 19:23:21  qboosh
- more todos

Revision 1.402  2004/12/26 19:13:19  qboosh
- ini patch cosmetics, added java to removed modules list

Revision 1.401  2004/12/26 19:01:01  qboosh
- todo update

Revision 1.400  2004/12/26 18:22:58  qboosh
- added dba-link patch (use -ldb to link dba module only, not whole php)

Revision 1.399  2004/12/26 17:00:03  qboosh
- updated msession-shared-lib patch, added (untested) hwapi-link patch
  now core php doesn't depend on libstdc++

Revision 1.398  2004/12/26 15:37:04  qboosh
- fixed uint32_t patch to use standard header
  libidn is used by curl not php

Revision 1.397  2004/12/26 15:26:42  qboosh
- proper dom configure option - now shared dom module is built

Revision 1.396  2004/12/26 14:05:27  qboosh
- libxml and simplexml extensions cannot be built as shared (they are used in SPL);
  xml bcond makes no sense now
- libxml2 vs expat cleanups

Revision 1.395  2004/12/26 13:50:46  qboosh
- mono and yaz have been moved to PECL

Revision 1.394  2004/12/26 13:49:04  qboosh
- removed outdated xml-expat-fix patch

Revision 1.393  2004/12/26 12:54:00  qboosh
- build shared xsl; libgcrypt is required by lib(e)xslt not php
- removed obsolete domxslt bcond

Revision 1.392  2004/12/26 11:00:04  qboosh
- what xslt? there is no such module now

Revision 1.391  2004/12/26 10:48:07  qboosh
- java module has been removed

Revision 1.390  2004/12/26 10:33:13  qboosh
- what hyperwave? hyperwave module has been removed;
  s/hyperwave/hwapi/ in all references to hwapi module

Revision 1.389  2004/12/21 21:54:43  adamg
- fixed link in bcond description

Revision 1.388  2004/12/21 21:52:45  adamg
- apply (conditionally) patch from hardened-php project

Revision 1.387  2004/12/21 07:47:18  adamg
- hopefully fix build on sparc (include missing header)

Revision 1.386  2004/12/15 21:29:24  adamg
- pl2.php.net seems to be down

Revision 1.385  2004/12/15 21:13:06  adamg
- updated to 5.0.3, several security fixes:
  - CAN-2004-1018
  - CAN-2004-1019
  - CAN-2004-1020
  - CAN-2004-1063
  - CAN-2004-1064
  - CAN-2004-1065
- updated lib64.patch
- dropped mssql.patch (already applied)

Revision 1.384  2004/12/14 16:59:56  baggins
- DON'T hardcode java paths!

Revision 1.383  2004/12/11 11:13:13  arekm
- xslt off by default since it doesn't build at this moment

Revision 1.382  2004/12/11 00:47:16  ankry
- rel. 9 (why it was non-int?)

Revision 1.381  2004/12/06 20:17:30  blues
- make with xslt bcond at least possible to use...

Revision 1.380  2004/11/26 19:26:24  qboosh
- -common Obsoletes php-session < 3:4.2.1-2 (when it was separate) - that should work

Revision 1.379  2004/11/25 20:26:14  arekm
- don't obsolete php-session because it obsoletes php4-session, too :/

Revision 1.378  2004/11/25 11:01:25  arekm
- bump rel (8.1, 2.1)

Revision 1.377  2004/11/25 11:00:18  arekm
- drop Conflicts between php and php4 package - done on configuration level

Revision 1.376  2004/11/16 23:29:50  hawk
- moved note to description of sybase subpackage

Revision 1.375  2004/11/16 22:39:54  hawk
- fixed sybase module build, added note

Revision 1.374  2004/11/16 22:04:33  havner
- rel 7

Revision 1.373  2004/11/16 21:34:50  hawk
- fixed sybase_ct module not being packaged when build without sybase

Revision 1.372  2004/11/16 21:19:05  havner
- rel 6

Revision 1.371  2004/11/16 20:48:13  havner
- i hope it will be ok this time, no conflicts for common packages
  cause they can work together when used separately (not by apache), only
  with apache they don't work, so conflicts for php and php4 packages
- devel packages obsolete themeselves (for builders)

Revision 1.370  2004/11/16 19:52:40  havner
- ln -s php.cli php

Revision 1.369  2004/11/16 19:41:53  havner
- s/program/cli for readline and ncurses

Revision 1.368  2004/11/16 19:13:40  havner
- conflicts for php4

Revision 1.367  2004/10/30 08:24:16  ankry
- PHP language is not the php program, pl fix

Revision 1.366  2004/10/30 07:07:26  paladine
- unifications

Revision 1.365  2004/10/25 13:35:22  arekm
- make cleaning of stale session files work

Revision 1.364  2004/10/25 10:04:20  qboosh
- updated lib64 patch to fix extension_dir in php.ini
- enabled interbase module on alpha
- release 5

Revision 1.363  2004/10/25 09:47:40  qboosh
- patch proper file in ini patch, updated apache-devel BRs

Revision 1.362  2004/10/18 13:16:55  blues
- release 4 - added gd_imagerotate_enable patch to allow using imagerotate
  function. Taken from RA-branch.

Revision 1.361  2004/10/10 13:36:23  gotar
- PR: apache >= 2.0.52 (reported many times, nobody cares), release 3

Revision 1.360  2004/10/03 02:01:03  havner
- rel 2

Revision 1.359  2004/10/03 00:52:18  havner
- rel 1

Revision 1.358  2004/10/02 23:14:13  paszczus
- removed SECURITY notes (5.0.2 fixes)

Revision 1.357  2004/10/02 20:37:05  arekm
- updated to 5.0.2

Revision 1.356  2004/09/21 10:46:36  blues
- next security note

Revision 1.355  2004/09/21 10:19:27  blues
- SECURITY note (fix avaible via php cvs)

Revision 1.354  2004/09/14 20:11:17  adamg
- stop using php4 icon

Revision 1.353  2004/09/01 18:08:04  adamg
- BuildRequires: libgcrypt-devel

Revision 1.352  2004/08/18 23:26:39  arekm
- reverted socket change, FIRST understand THEN change

Revision 1.351  2004/08/18 23:24:30  gotar
- mysql UNIX socket defaults to PLD default

Revision 1.350  2004/08/18 22:00:41  qboosh
- added amd64 to archs with Firebird support

Revision 1.349  2004/08/15 20:08:48  adamg
- devel subpackage requires autoconf and automake (needed by phpize)

Revision 1.348  2004/08/13 19:49:41  adamg
- separate sybase and sybase_ct modules - first one is broken (dunno why)
- release 0.2

Revision 1.347  2004/08/13 17:15:10  adamg
- updated to 5.0.1

Revision 1.346  2004/08/12 09:55:15  qboosh
- require just gd* 2.0.28; restore changelog

Revision 1.345  2004/08/12 09:45:40  blues
- drop with gif bcond - not needed now

Revision 1.344  2004/08/11 10:04:26  qboosh
- BR: ncurses-ext-devel

Revision 1.343  2004/08/09 11:30:43  blues
- require proper libxml2

Revision 1.342  2004/08/08 21:09:28  arekm
- rel 4 (works with threaded and non-threaded MPMs)

Revision 1.341  2004/08/08 20:21:49  arekm
- option changed name

Revision 1.340  2004/08/08 13:58:56  arekm
- enable zts for apache2

Revision 1.339  2004/08/07 19:12:12  adamg
- fix lib path in phpize (otherwise phpize fails on amd64)
- proper quotation of autofoo definitions in phpize.m4
- release 3

Revision 1.338  2004/08/04 13:48:06  arekm
- rel 2 (builds on amd64, too)

Revision 1.337  2004/08/04 13:22:02  arekm
- doh :)

Revision 1.336  2004/08/04 13:10:20  arekm
- patch25 applied only for amd64

Revision 1.335  2004/08/04 12:39:51  arekm
- add lib64 patch

Revision 1.334  2004/07/30 23:57:27  qboosh
- build recode module

Revision 1.333  2004/07/30 13:42:40  qboosh
- added nohttpd patch

Revision 1.332  2004/07/25 21:34:19  arekm
- rel 1 (major issue fixed (linking problems))

Revision 1.331  2004/07/19 22:38:13  arekm
- one more release into R

Revision 1.330  2004/07/19 22:20:01  arekm
- merged DEVEL

Revision 1.304.2.18  2004/07/16 19:55:38  arekm
- sqlite subpackage added; missing post/postun scripts for sqlite/simplexml added

Revision 1.304.2.17  2004/07/16 19:38:52  arekm
- sqlite enabled, simplexml enabled (as static, shared build broken)

Revision 1.304.2.16  2004/07/14 15:37:09  zergin
- added missing BR: libidn-devel

Revision 1.304.2.15  2004/07/13 22:57:03  adamg
- updated to 5.0.0 final (fetch sources for now; will work on this in a few days)

Revision 1.304.2.14  2004/06/10 18:56:52  adamg
- updated to 5.0.0RC3
- added mnogosearch-fix.patch (taken from HEAD)
- removed pdf extension (moved to PECL)

Revision 1.304.2.13  2004/05/01 20:39:32  adamg
- turned off sybase extension (breaks build)

Revision 1.304.2.12  2004/05/01 20:17:56  adamg
- switched some bconds (should build now)

Revision 1.304.2.11  2004/05/01 20:15:42  adamg
- updated to 5.0.0RC2

Revision 1.304.2.10  2004/03/18 22:46:18  arekm
- fix sqlite, breaks on sybase db

Revision 1.304.2.9  2004/03/18 19:31:27  arekm
- started RC1 + some fcgi things

Revision 1.304.2.8  2004/03/07 23:13:33  adamg
- removed fcgi todo entry

Revision 1.304.2.7  2004/03/07 22:37:24  adamg
- merged changes from HEAD (spelling fix, fcgi support)

Revision 1.304.2.6  2004/01/01 19:56:01  adamg
- added new extensions (can be disabled with bcond):
  - fam (File Alteration Monitor)
  - mono
  - sqlite
- now simplexml build can really be disabled :)
- --with-jpeg-dir, --with-png-dir and --with-tiff-dir weren't properly
  handled (was 'shared,/usr', should be '/usr')
- some more php4 to php5 substitutions
- still doesn't build, there are some linking problems...

Revision 1.304.2.5  2003/12/27 20:27:13  adamg
- Removed following extensions:
    crack, db, domxml, fribidi, mcal, overload, qtdom, zip
  They were either moved to PECL, or permanently removed.
- Added following extensions
    tidy, simplexml
  They are build by default, but can be disabled by using bcond.
- Hyperwave extension depends on proprietary libs, thus it is not being
  built by default
- Removed obsolete BuildRequires
- Removed obsolete patches, sorted the rest
- OpenSSL extensions is now build as a module (it was broken in 4.3.x)
- /php 4/php 5/ in some of summaries
- Added %{_pre} to Release
- Some cosmetics in bcond descriptions
- Almost done, sybase module still doesn't build.

Revision 1.304.2.4  2003/12/26 21:09:48  adamg
- s/libphp4/libphp5/
- libphp5.so isn't installed with make install (ToDo: why?)
- hey, it builds (--without {sybase,interbase}) !

Revision 1.304.2.3  2003/12/25 22:10:40  adamg
- fixed Source0-md5

Revision 1.304.2.2  2003/12/25 17:08:02  adamg
- updated -shared.patch
- added temporary source0 url
- ehrm, release 0.1
- still some complaints on %files (one, actually)
- Work In Progress, do not touch, please

Revision 1.304.2.1  2003/12/25 11:21:18  adamg
- began work on php5
- removed some extensions (few of them were moved to PECL)
- builds (with --without interbase and --without sybase), but still fails
  on %files
- Not Finished Yet.
